=== release 1.20.0 ===

2022-02-03 19:53:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-libav.doap:
	* meson.build:
	  Release 1.20.0

2022-02-03 19:53:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.0

2022-01-28 19:58:55 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/gst_plugins_cache.json:
	  docs: gst-libav: update cache and symbol index for FFmpeg 4.4
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1597>

=== release 1.19.90 ===

2022-01-28 14:28:35 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-libav.doap:
	* meson.build:
	  Release 1.19.90

2022-01-28 14:28:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.90

2022-01-17 01:33:47 +0800  Xi Ruoyao <xry111@mengyan1223.wang>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavutils.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  gst-libav: fix build with ffmpeg-5.0.0
	  Latest ffmpeg has removed avcodec_get_context_defaults(), and its
	  documentation says a new AVCodecContext should be allocated for this
	  purpose.  The pointer returned by avcodec_find_decoder() is now
	  const-qualified so we also need to adjust for it.  And, AVCOL_RANGE_MPEG
	  is now rejected with strict_std_compliance > FF_COMPLIANCE_UNOFFICIAL.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1531>

2022-01-05 02:07:59 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/meson.build:
	* meson.build:
	  meson: Add explicit check: kwarg to all run_command() calls
	  This is required since Meson 0.61.0, and causes a warning to be
	  emitted otherwise:
	  https://github.com/mesonbuild/meson/commit/2c079d855ed87488bdcc6c5c06f59abdb9b85b6c
	  https://github.com/mesonbuild/meson/issues/9300
	  This exposed a bunch of places where we had broken run_command()
	  calls, unnecessary run_command() calls, and places where check: true
	  should be used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1507>

2021-11-03 18:44:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.19.3 ===

2021-11-03 15:43:36 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-libav.doap:
	* meson.build:
	  Release 1.19.3

2021-11-03 15:43:32 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.3

2021-10-25 11:37:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: require matching GStreamer dep versions for unstable development releases
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/929
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1244>

2021-10-18 15:47:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/meson.build:
	  meson: update for meson.build_root() and .build_source() deprecation
	  -> use meson.project_build_root() or .global_build_root() instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-18 00:40:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/meson.build:
	* tests/check/meson.build:
	  meson: update for dep.get_pkgconfig_variable() deprecation
	  ... in favour of dep.get_variable('foo', ..) which in some
	  cases allows for further cleanups in future since we can
	  extract variables from pkg-config dependencies as well as
	  internal dependencies using this mechanism.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-14 18:38:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump meson requirement to >= 0.59
	  For monorepo build and ugly/bad, for advanced feature
	  option API like get_option('xyz').required(..) which
	  we use in combination with the 'gpl' option.
	  For rest of modules for consistency (people will likely
	  use newer features based on the top-level requirement).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1084>

2021-09-28 10:11:15 +1000  Brad Hards <bradh@frogmouth.net>

	* RELEASE:
	  doc: update IRC links to OFTC
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/945>

2021-09-26 01:07:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/925>

=== release 1.19.2 ===

2021-09-23 01:35:17 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-libav.doap:
	* meson.build:
	  Release 1.19.2

2021-09-18 11:51:03 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst_plugins_cache.json:
	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add support for GBRA_10LE/BE
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/142>

2021-08-06 17:41:19 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* docs/gst_plugins_cache.json:
	* ext/libav/gstavdemux.c:
	  avdemux: add xwma support
	  Add xwma tested with the media
	  b8edfb1e970ed7892f35b34a1ef36fee_wma.wav
	  from this ticket:
	  http://trac.ffmpeg.org/ticket/9358
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/138>

2020-01-22 12:41:27 -0500  Olivier Crête <olivier.crete@collabora.com>

	* docs/gst_plugins_cache.json:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavviddec.c:
	  avviddec:  Enable subframe decoding for H.264
	  Enable sending NAL units to the decoder without having to first
	  group them in a frame (an AU).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/66>

2020-01-22 12:39:47 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Split allocation tracking from decode-only-ness
	  When doing subframe decoding, handle_frame will be called multiple
	  times, so the DECODE_ONLY flag gets re-set when it shouldn't. Instead,
	  let's create our own flag to track this.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/66>

2021-06-21 08:33:59 +0000  Corentin Damman <c.damman@intopix.com>

	* COPYING:
	  Update COPYING
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/135>

2021-06-03 06:01:30 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/libav/gstavviddec.c:
	  avviddec: Fix size of linesize parameter
	  Although avcodec_align_dimensions2() only copies 4 ints, it expects
	  a buffer of at least AV_NUM_DATA_POINTERS (8) ints.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/134>

2021-06-01 15:29:04 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.19.1 ===

2021-06-01 00:14:52 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-libav.doap:
	* meson.build:
	  Release 1.19.1

2021-04-29 21:32:18 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/libav/gstavmux.c:
	  avmux: Blacklist ttml subtitles
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/133>

2021-04-24 10:04:23 +0200  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Take into account coded_height for pool
	  Failure to do this would cause the decoders to constantly request a new
	  bufferpool thinking the height had changed ... whereas it hadn't.
	  Fixes #95
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/131>

2021-04-13 00:45:41 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst_plugins_cache.json:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  avviddec: deprecated debug-mv property to match deprecation in FFmpeg
	  This has been unimplemented and non-functional for years
	  and was deprecated with FFmpeg 4.4.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/126>

2021-04-13 01:07:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavdemux.c:
	  avdemux: fix build with FFmpeg 4.4
	  Direct access to avstream->index_entries was removed
	  in favour of the newly added avformat_index_get_entry()
	  and friends.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-libav/-/issues/85
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/127>

2021-01-19 13:19:31 -0800  Nicholas Jackson <nicholas.jackson@zii.aero>

	* ext/libav/gstavmux.c:
	  avmux: fix segfault when a plugin's long_name is NULL
	  Some plugins register an empty long_name field.  Check for this
	  before calling strcmp to avoid a crash.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/114>

2021-03-15 20:35:35 +0100  Jade Macho <nuda1998@gmail.com>

	* docs/gst_plugins_cache.json:
	* ext/libav/gstavcodecmap.c:
	  Hook up audio/x-xma: xmaversion: [1,2] to AV_CODEC_ID_XMA[1,2]
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/124>

2021-03-03 10:51:04 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Don't try converting channel layouts with more than 64 channels
	  We only support up to 64 channels in GStreamer with a specific layout so
	  it's safe to assume a NONE layout in this case.
	  Also the arrays of channel positions are allocated everywhere with 64
	  elements so don't try setting more than 64 to NONE as that will cause
	  stack corruptions and similar memory safety issues.
	  Thanks to Natalie Silvanovich for reporting this issue.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-libav/-/issues/92
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/120>

2020-12-02 15:43:15 +1100  Matthew Waters <matthew@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: take the maximum of the height/coded_height
	  Otherwise, some h.264 streams (particularly with cropping information)
	  may cause memory corruption after a renegotiation to a smaller size when
	  decoded and then ffmpeg writes past the end of the buffer.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gst-libav/-/issues/80
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/110>

2021-01-28 06:11:14 +0000  Matthew Waters <matthew@centricular.com>

	* ext/libav/gstavviddec.c:
	  viddec: don't configure and incorrect buffer pool when receiving a gap event
	  Scenario is this:
	  1. libav receives enough data to want a buffer with get_buffer2()
	  which wants a buffer pool with a certain format, say Y42B but does
	  not negotiate and therefore GstVideoDecoder does not have any output
	  state configured
	  2. A gap event is received which GstVideoDecoder wants to forward.  It
	  needs caps to forward the gap event so attempts to negotiate with some
	  default information which chooses e.g. I420 and overwrites the
	  previously configured bufferpool decided on by get_buffer2()
	  3. There is a mismatch between what ensure_internal_pool() check for
	  consistency and what decide_allocation() sets when overriding the
	  internal pool with the downstream pool.
	  4. FFMpeg then requests a Y42B buffer from an I420 pool and predictably
	  crashes writing past the contents of the buffer
	  This is fixed by keeping track of the internal pool states correctly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/116>

2021-01-29 14:02:42 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* docs/gst_plugins_cache.json:
	* ext/libav/gstavviddec.c:
	  avviddec: Support for alternate-field interlacing
	  Not yet supported in FFmpeg, so we temporarily rely on the parser
	  setting the correct buffer flags for us.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/115>

2020-12-30 01:15:16 +0900  Seungha Yang <seungha@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: Drain decoder on decoding failure
	  ... and call finish_frame() so that baseclass can reset internal
	  status. Otherwise baseclass will keep holding the status for
	  decoding failed frame which will result in outputting buffer with
	  wrong timestamp.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/112>

2020-12-14 15:33:16 +1100  Jan Schmidt <jan@centricular.com>

	* docs/gst_plugins_cache.json:
	* ext/libav/gstavcodecmap.c:
	  codec map: Add a mapping for the OKI ADPCM variant.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/111>

2020-11-04 18:44:54 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Enable some MSVC warnings for parity with GCC/Clang
	  This makes it easier to do development with MSVC by making it warn
	  on common issues that GCC/Clang error out for in our CI configuration.
	  Continuation from https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/223
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/109>

2020-10-27 06:33:29 -0400  Arun Raghavan <arun@asymptotic.io>

	* ext/libav/gstavauddec.c:
	  avauddec: Check planar-ness of frame rather than context
	  The check seems to be to present to verify that the decoded frame
	  matches the format we expect. The actual check for the layout of the
	  frame was being performed against the context instead.
	  The check fails at least for avdec_aptx_hd, where the AVCodecContext has
	  the sample format set to AV_SAMPLE_FMT_NONE.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/107>

2020-10-06 18:19:12 +0900  Seungha Yang <seungha@centricular.com>

	* tests/check/elements/avaudenc.c:
	* tests/check/elements/avvidenc.c:
	* tests/check/meson.build:
	  tests: Add audio/video encoder test
	  Add simple encoder drain test case
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/100>

2020-10-01 11:45:57 +0200  Edward Hervey <edward@centricular.com>

	* meson.build:
	* meson_options.txt:
	* tests/check/meson.build:
	* tests/meson.build:
	  build: Re-enable unit tests
	  Looks like they weren't ported when we switched to meson
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/100>

2020-10-06 03:47:42 +0900  Seungha Yang <seungha@centricular.com>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavaudenc.h:
	* ext/libav/gstavutils.h:
	* ext/libav/gstavvidenc.c:
	* ext/libav/gstavvidenc.h:
	  avaudenc/avvidenc: Reopen encoding session if it's required
	  Since the commit https://git.ffmpeg.org/gitweb/ffmpeg.git/commit/22b25b3ea5c,
	  ffmpeg will not clear draning flag for encoder by avcodec_flush_buffers() API
	  by default. Allowed case is only if encoder has AV_CODEC_CAP_ENCODER_FLUSH
	  capability flag. If it's not supported, we should re-open encoding
	  session, otherwise ffmpeg encoder will keep returning AVERROR_EOF
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/99>

2020-10-01 11:18:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Call avcodec_flush_buffers() after draining to allow accepting new input again
	  This is already done in all other codec elements.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/97>

2020-09-30 16:13:28 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  avauddec/audenc/videnc: Don't return GST_FLOW_EOS when draining
	  Same behaviour as for avviddec now. FFmpeg will return AVERROR_EOF when it's
	  completely drained but we should not return that here or otherwise
	  upstream will receive EOS and not forward us more data.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/97>

2020-09-16 03:13:09 +0900  Seungha Yang <seungha@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Don't return GST_FLOW_EOS from drain()/finish()
	  AVERROR_EOF means that it's fully drained, but it doesn't
	  mean that that end of stream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/90>

2020-09-15 02:12:23 +0900  Seungha Yang <seungha@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: Ensure finish_subframe() and finish_frame() are paired
	  audiodecoder baseclass implementation is expecting that
	  finish_subframe() is followed by finish_frame() in order clear
	  its internal state related to subframe.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/90>

2020-09-14 14:30:35 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: Forward flow returns from draining instead of assuming OK
	  It might be useful for upstream to know that draining/finishing didn't
	  succeed, and why.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/90>

2020-09-14 14:24:51 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Forward flow returns from draining instead of assuming OK
	  It might be useful for upstream to know that draining/finishing didn't
	  succeed, and why.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/90>

2020-09-09 08:55:28 +0200  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: Avoid dropping non-OK flow return
	  When sucessfully finishing out frames (or finishing configuration), we must make
	  sure we don't override any failing GstFlowReturn that might have been detected
	  previously.
	  Failure to do this would result in not propagating not-linked, flushing,
	  etc...
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/90>

2016-09-26 20:06:54 -0400  Olivier Crête <olivier.crete@collabora.com>

	* docs/gst_plugins_cache.json:
	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Enable 24 bit WMA Lossless decoding
	  This now works with not so recent ffmpeg.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/88>

2020-09-08 17:30:46 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitlab-ci.yml:
	  ci: include template from gst-ci master branch again

2020-09-08 16:58:56 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.18.0 ===

2020-09-08 00:08:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitlab-ci.yml:
	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-libav.doap:
	* meson.build:
	  Release 1.18.0

2020-09-07 12:15:17 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavviddec.c:
	  Update for gst_video_transfer_function_*() function renaming
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/89>

=== release 1.17.90 ===

2020-08-20 16:14:50 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-libav.doap:
	* meson.build:
	  Release 1.17.90

2020-08-03 19:28:29 +0300  Jordan Petridis <jordan@centricular.com>

	* docs/gst_plugins_cache.json:
	* ext/libav/gstavcfg.c:
	  gstavcfg.c: fix max->min typo in limits and implict double conversion
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/86>

2020-07-23 15:37:05 +0300  Jordan Petridis <jordan@centricular.com>

	* docs/gst_plugins_cache.json:
	  Revert "docs: update plugins doc cache"
	  This reverts commit d1b20eb6558b5188fe539a2aba3dc15630e703b0.
	  See https://gitlab.freedesktop.org/gstreamer/gst-ci/-/merge_requests/324
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/85>

2020-07-03 12:45:44 +0300  Jordan Petridis <jordan@centricular.com>

	* docs/gst_plugins_cache.json:
	  docs: update plugins doc cache
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/80>

2020-07-08 17:23:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* scripts/extract-release-date-from-doap-file.py:
	  meson: set release date from .doap file for releases
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/84>

2020-07-07 00:33:22 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* ext/libav/gstavviddec.c:
	  avviddec: Fix typo that duplicated closed caption meta
	  We examined the output buffer, instead of the input buffer, for
	  existence of cc meta.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/83>

2020-07-02 12:28:34 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* ext/libav/gstavviddec.c:
	  gstavviddec: Only allow a single closed caption meta
	  Following discussion in
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1396#note_556068
	  While it is technically possible to store multiple closed caption metas
	  in the same buffer, we don't currently do that anywhere and for
	  H264/MPEG2 both parts have to be stored in the same packet, and also the
	  number of CC bytes you can store per frame is rather limited. This
	  restriction might be relaxed later once we figured out how to do it
	  without breaking things.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/82>

2020-07-03 02:04:01 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.17.2 ===

2020-07-03 00:33:33 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-libav.doap:
	* meson.build:
	  Release 1.17.2

2020-06-30 18:33:56 +0200  Matej Knopp <matej.knopp@gmail.com>

	* ext/libav/gstavauddec.c:
	  avauddec: fix buffer leak when send packet failed
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/81>

2020-06-26 13:11:56 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst_plugins_cache.json:
	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add support for SpeedHQ video codec
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/79>

2020-06-23 00:07:26 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/meson.build:
	  meson: mark plugins cache target as always stale

2020-06-19 22:59:39 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	  doc: Stop documenting properties from parents

2020-06-18 22:16:30 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavmux.c:
	  avmux: zero-initialize packets
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/76>

2020-06-20 00:28:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.17.1 ===

2020-06-19 19:24:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* docs/gst_plugins_cache.json:
	* gst-libav.doap:
	* meson.build:
	  Release 1.17.1

2020-06-09 15:33:51 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	  docs: Update plugins cache

2020-06-08 09:44:43 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	  docs: Update plugins cache

2020-06-06 00:43:02 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavcfg.c:
	* ext/libav/gstavdeinterlace.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  plugins: uddate gst_type_mark_as_plugin_api() calls

2020-06-03 18:35:32 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  doc: Require hotdoc >= 0.11.0

2020-05-27 16:02:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst_plugins_cache.json:
	  docs: Update gst_plugins_cache.json

2020-05-31 10:02:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcfg.c:
	* ext/libav/gstavdeinterlace.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  plugins: Use gst_type_mark_as_plugin_api() for all non-element plugin types

2020-05-31 09:59:29 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	  avcodecmap: Remove unused GstFFMpegCompliance type

2020-05-27 16:30:41 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavdemux.c:
	  avdemux: update the context we use to determine stream's caps
	  The discovered frame rate is only available on the AVStream
	  itself. Updating the temporary context framerate before
	  building caps from it seems like a pretty non-intrusive approach.
	  Fixes #75
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/74>

2020-05-27 16:29:27 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: use framerate instead of time_base when decoding
	  Documentation for AVCodecContext::time_base:
	  > decoding: the use of this field for decoding is deprecated.
	  > Use framerate instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/74>

2020-05-09 15:20:00 +0200  Matej Knopp <matej.knopp@gmail.com>

	* ext/libav/gstavaudenc.h:
	* ext/libav/gstavcodecmap.h:
	* ext/libav/gstavviddec.h:
	  gstlibav: minor fixes for header files
	  Move G_BEGIN_DECLS below includes and add missing include
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/71>

2020-05-08 19:16:41 +0200  Matej Knopp <matej.knopp@gmail.com>

	* ext/libav/gstavviddec.c:
	  gstavviddec: only set range when actually reported by avcodec
	  otherwise we get incomplete colorimetry that video-info complains about
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/70>

2020-04-30 18:12:19 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* README:
	* README.md:
	  README: Convert to markdown, clarify licensing
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/68>

2020-04-30 17:13:00 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* COPYING:
	* COPYING.LIB:
	  All code in this repository is now LGPL-2.1+
	  Starting with 1.17, we will not ship a copy of FFmpeg in our release
	  tarballs, and all the remaining code is LGPL2.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-libav/-/merge_requests/68>

2020-04-15 15:00:02 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* ext/libav/gstavmux.c:
	  avmux: avoid to use unintialized variable
	  Without this fix, running the command below will get an error randomly.
	  Example:
	  gst-launch-1.0 videotestsrc ! vp9enc ! avmux_ivf ! fakesink
	  ERROR: pipeline doesn't want to preroll.
	  0:00:02.388528491 30148 0x5601b424a370 ERROR                  libav :0::
	  Tag [1]V[0][0] incompatible with output codec id '167' (VP90)

2020-03-11 18:26:39 +0900  Seungha Yang <seungha@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Update for video-hdr struct change
	  See the change of -base https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/merge_requests/594

2020-01-27 14:21:48 -0800  Julien Isorce <jisorce@oblong.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: handle GST_VIDEO_MULTIVIEW_MODE_MONO
	  Otherwise videotestsrc ! avenc_libx265 ! fakesink
	  outputs `Unsupported multiview mode - no mapping in libav`

2020-01-24 16:14:28 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add some more comments about the assumptions in the ffmpeg code about H264/H265/AAC

2020-01-24 13:04:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avdemux: Only set stream-format for H264/H265/AAC when we have a context
	  Otherwise we don't know yet whether we'll have extradata/codec_data, so
	  can't decide on the stream-format yet.

2020-01-15 14:36:19 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* ext/libav/gstavcodecmap.c:
	  avivf_mux: support VP9 and AV1
	  Besides vp8, ff_ivf_muxer supports VP9 and AV1

2020-01-23 10:03:40 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Set AAC/H264/H265 stream-format for demuxer/encoder situations if no codec_data is provided
	  This fixes output of the above formats from demuxers.

2020-01-23 09:45:59 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavdemux.c:
	  avdemux: Pass the URI from the URI query to avformat_open_input()
	  Some demuxers make use of it in various ways, for example the HLS
	  demuxer.

2019-12-19 17:58:56 +0100  Alicia Boya García <ntrrgc@gmail.com>

	* ext/libav/gstavviddec.c:
	  gstavviddec: Limit default number of decoder threads
	  When the `max-threads` property is not specified, GStreamer defaults to
	  the amount of CPU threads in the system.
	  The number of threads used in avdec has a direct impact on the latency
	  of the decoder, which is of as many frames as threads. Therefore, big
	  numbers of threads can make latency levels that can be problematic in
	  some applications.
	  For this reason, ffmpeg emits a warning when more than 16 threads are
	  requested.
	  This patch limits the default number of threads to 16. This affects only
	  computers with more than 16 CPU threads when using avviddec without
	  setting `max-threads`.

2019-12-02 19:06:04 +0000  Tim-Philipp Müller <tim@centricular.com>

	* pkgconfig/gstreamer-plugins-libav-uninstalled.pc.in:
	  pkgconfig: remove unused file
	  Was never hooked up to meson build it seems, and only ever used
	  by the uninstalled autotools dev env to locate gst-libav plugins
	  for use in unit tests in other modules.

2019-11-29 09:25:24 +0100  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Fix error propagation
	  Instead of returning the default return value (GST_FLOW_OK), actually
	  return an error one (res vs ret).

2019-11-04 15:39:59 +0100  Kevin JOLY <kevin.joly@heig-vd.ch>

	* ext/libav/gstavdemux.c:
	  avdemux: Fix segmentation fault if long_name is NULL
	  Some plugins (like libcdio) registers empty long_name field. Calling strncmp on this field leads to a segmentation fault.
	  Signed-off-by: Kevin Joly <joly.kevin25@gmail.com>

2019-10-29 11:43:05 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Fix huge leak caused by circular reference
	  AVBufferRef -> GstFFMpegVideoDecVideoFrame -> GstVideoCodecFrame -> AVBufferRef
	  Instead of holding additional ref there, set read-only which would not be
	  reused by ff_reget_buffer()
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gst-libav/issues/63

2019-10-25 01:09:08 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  avvideenc,avvidedec: Filtering hardware en/decoder by flag
	  ... instead of filtering them by hardcoded string compare.

2019-10-24 00:25:28 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Enforce allocate new AVFrame per input frame
	  ... if ffmpeg would reuse the allocated AVBuffer. Reused AVFrame by
	  the ffmpeg seems to break our decoding flow since the reused AVFrame
	  holds the initial opaque data (GstVideoCodecFrame in this case), so
	  we couldn't trace the our in/out frames.
	  To enforce get_buffer() call per output frame, hold another reference
	  to the AVBuffer in order to mark the AVBuffer as not writable.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gst-libav/issues/62

2019-10-13 14:33:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	* .gitmodules:
	* HACKING:
	* Makefile.am:
	* README:
	* TODO:
	* autogen.sh:
	* common:
	* configure.ac:
	* docs/.gitignore:
	* ext/Makefile.am:
	* ext/libav/Makefile.am:
	* gst-libs/Makefile.am:
	* gst-libs/ext/Makefile.am:
	* gst-libs/ext/gas-preprocessor:
	* gst-libs/ext/libav:
	* m4/as-slurp-ffmpeg.m4:
	* pkgconfig/.gitignore:
	* pkgconfig/Makefile.am:
	* tests/Makefile.am:
	* tests/check/.gitignore:
	* tests/check/Makefile.am:
	* tests/check/generic/.gitignore:
	* tests/files/Makefile.am:
	  Remove autotools build system

2019-09-24 23:51:33 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavviddec.c:
	  avviddec,avcodemap: Use new helper function for map color space information
	  ... between GStreamer and FFmpeg. Note that FFmpeg follows ISO/IEC 23001-8
	  defined color{matrix,transfer,primaries} values.

2019-09-11 15:59:42 +0000  Marc Leeman <marc.leeman@gmail.com>

	* docs/meson.build:
	  docs: do not require gst-plugins-doc-cache-generator
	  Do not require the cache generator. This is in line with the other
	  gstreamer modules

2019-08-13 22:03:31 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: timestamp output buffers
	  Same approach as x264enc, with the one hour offset

2019-08-01 16:27:35 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/libav/gstavauddec.c:
	  avauddec: Don't warn if drain is successful

2019-07-18 00:20:16 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: improve latency calculation
	  When thread_type is set to FF_THREAD_FRAME, per the documentation
	  a latency of one frame per thread is introduced:
	  <https://ffmpeg.org/ffmpeg-codecs.html>, search for thread_type.
	  Additionally, we need in that case to calculate the automatic
	  number of threads ourselves, so as to accurately calculate the
	  latency.

2018-10-06 18:51:58 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  avviddec: Add thread-type property
	  The thread-type property allows specifying preferred
	  multithreading methods by user. Note that FF_THREAD_FRAME
	  may introduce additional latency especially on non-filesrc usecase,
	  since it introduces a decoding delay of (number of threads) frames.
	  https://bugzilla.gnome.org/show_bug.cgi?id=797254

2019-07-15 10:42:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Close reference context before freeing it
	  Otherwise we'll leak some memory.
	  See https://gitlab.freedesktop.org/gstreamer/gst-libav/merge_requests/32

2019-07-12 14:41:18 +0200  Knut Andre Tidemann <knutandre.tidemann@zenitel.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: fix memory leak of refcontext after finalize.

2019-06-19 15:44:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Also set the repeat_pict flag correctly and take the TFF flag from caps if available

2019-06-19 15:43:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Correctly signal interlaced input to ffmpeg when the input caps are interlaced
	  Regression from 1e4529ced2dadbfed4ac10d639a45dbcb0660129

2019-06-02 21:45:19 +0200  Niels De Graef <niels.degraef@barco.com>

	* configure.ac:
	  meson: Bump minimal GLib version to 2.44
	  This means we can use some newer features and get rid of some
	  boilerplate code using the G_DECLARE_* macros.
	  As discussed on IRC, 2.44 is old enough by now to start depending on it.

2019-05-29 11:49:38 +0530  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: remove cdgraphics element
	  It was never usable as we don't have a parser and we now have 'cdgdec'
	  in gst-plugins-rs.

2019-05-25 13:36:40 +0200  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	  configure: pass -Wno-attributes to fix build against broken ffmpeg headers
	  libavutil/mem.h:342:1: error: ‘alloc_size’ attribute ignored on a function returning ‘int’
	  av_alloc_size(2, 3) int av_reallocp_array(void *ptr, size_t nmemb, size_t size);
	  ^~~~~~~~~~~~~
	  Hopefully fixes build on jenkins.

2019-05-24 20:35:41 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavviddec.c:
	  avcodecmap,avviddec: Map bt2020-10, PQ and HLG transfer functions
	  Map more transfer functions between Gstreamer and ffmpeg

2019-05-24 11:47:58 +0200  Arun Raghavan <arun@arunraghavan.net>

	* docs/gst_plugins_cache.json:
	* ext/libav/gstavcodecmap.c:
	  codecmap: Add caps for aptX and aptX-HD

2019-05-16 09:20:56 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	* docs/meson.build:
	  docs: Stop building the doc cache by default
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-docs/issues/36

2019-05-13 22:58:09 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	  docs: Update plugins documentation cache

2018-10-22 11:41:07 +0200  Thibault Saunier <tsaunier@igalia.com>

	* Makefile.am:
	* configure.ac:
	* docs/Makefile.am:
	* docs/gst_plugins_cache.json:
	* docs/index.md:
	* docs/meson.build:
	* docs/plugins/.gitignore:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-libav-plugins-docs.sgml:
	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/gst-libav-plugins.interfaces:
	* docs/plugins/gst-libav-plugins.prerequisites:
	* docs/plugins/gst-libav-plugins.signals:
	* docs/plugins/gst-libav-plugins.types:
	* docs/plugins/inspect/plugin-libav.xml:
	* docs/plugins/scanobj-build.stamp:
	* docs/sitemap.txt:
	* docs/version.entities.in:
	* ext/libav/meson.build:
	* meson.build:
	* meson_options.txt:
	  docs: Port to hotdoc

2019-05-05 09:38:01 +0200  Christoph Reiter <reiter.christoph@gmail.com>

	* configure.ac:
	  autotools: add bcrypt to win32 libs
	  The included libav requires it now. Otherwise the builds fails with:
	  CCLD     libgstlibav.la
	  build-i686-w64-mingw32/gst-libs/ext/.libs/libavutil.a(random_seed.o): In function `av_get_random_seed':
	  gst-libav-1.16.0/gst-libs/ext/libav/libavutil/random_seed.c:126: undefined reference to `BCryptOpenAlgorithmProvider@16'
	  gst-libav-1.16.0/gst-libs/ext/libav/libavutil/random_seed.c:129: undefined reference to `BCryptGenRandom@16'
	  gst-libav-1.16.0/gst-libs/ext/libav/libavutil/random_seed.c:130: undefined reference to `BCryptCloseAlgorithmProvider@8'
	  collect2.exe: error: ld returned 1 exit status

2019-02-18 20:53:58 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Extract HDR information if any
	  Convert mastering display information (a.k.a HDR static metadata) and
	  content light level information provided by FFMPEG to Gstreamer.

2019-04-29 11:52:31 +0900  Yeongjin Jeong <yeongjin.jeong@navercorp.com>

	* ext/libav/gstav.c:
	  gstav: Use libavcodec util function for version check
	  The version of libavutil is printed in the log instead of libavcodec
	  because avutil_version() returns LIBAVUTIL_VERSION_INT. This can be confusing,
	  so we should be replace it with avcodec_version().

2019-04-29 15:22:52 +0900  Yeongjin Jeong <yeongjin.jeong@navercorp.com>

	* ext/libav/gstavauddec.c:
	  avauddec: Ensure drain even if codec has not delay capabilities
	  There are decoders that need to be drained if they work on multi-threads,
	  even if AV_CODEC_CAP_DELAY is not set.

2019-04-29 15:02:06 +0900  Yeongjin Jeong <yeongjin.jeong@navercorp.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Ensure drain even if codec has not delay capabilities
	  There are decoders that need to be drained if they work on multi-threads,
	  even if AV_CODEC_CAP_DELAY is not set.

2019-04-19 10:38:06 +0100  Tim-Philipp Müller <tim@centricular.com>

	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* meson.build:
	  Back to development

=== release 1.16.0 ===

2019-04-19 00:33:22 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	* meson.build:
	  Release 1.16.0

2019-04-19 00:33:22 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-libav.xml:
	  Update docs

2019-04-12 10:05:53 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n4.1.3

=== release 1.15.90 ===

2019-04-11 00:34:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	* meson.build:
	  Release 1.15.90

2019-04-11 00:34:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/inspect/plugin-libav.xml:
	  Update docs

2019-04-09 16:56:20 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcfg.c:
	  avcfg: Override type of bitrate property from int64 to int
	  See https://gitlab.freedesktop.org/gstreamer/gst-libav/issues/41#note_142808
	  The switch to the new ffmpeg property system changed the type of the
	  bitrate property from int to int64, which potentially breaks many
	  existing applications at runtime as properties are usually set via
	  g_object_set().
	  As such, override the type to int until GStreamer 2.0.

2019-03-28 14:24:42 -0400  Aaron Boxer <aaron.boxer@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: do not add 708 caption meta if already exists
	  (this is only used for CEA 708 raw data). another element
	  such as mpegvideoparse may have already added the meta.

2019-03-23 00:24:25 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: pass Closed Caption metadata to libav

2019-02-26 00:00:33 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavauddec.h:
	  avauddec: fix decoding of APE and Cook audio
	  .. and other formats where ffmpeg gives us multiple
	  subframes per input frame.
	  Since we now support non-interleaved audio, we can't
	  just concat buffers any more. Also, audio metas won't
	  be combined when buffers are merged, so when we push
	  out the combined buffer we'll look at the meta describing
	  only the first subframe and think it covers the whole
	  frame leading to stutter/gaps in the output.
	  We could fix this by copying the output data into a new
	  buffer when we merge buffers, but that's suboptimal, so
	  let's add some API to GstAudioDecoder to push out subframes
	  and use that instead.
	  https://gitlab.freedesktop.org/gstreamer/gst-libav/issues/49

2019-03-04 09:12:35 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* meson.build:
	  Back to development

=== release 1.15.2 ===

2019-02-26 11:57:15 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	* meson.build:
	  Release 1.15.2

2019-02-26 11:57:15 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-libav.xml:
	  Update docs

2019-02-21 08:48:31 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* ext/libav/gstavdemux.c:
	  avdemux: fix negative pts if start_time is bigger than the ts
	  The start time is supposed to be the ts of the first frame.
	  FFmpeg uses fractions to represent timestamps and the start time may use a
	  different base than the frame pts. So we may end up having the start
	  time bigger than the pts because of rounding when converting to gst ts.
	  See https://gitlab.freedesktop.org/gstreamer/gst-libav/issues/51
	  for details.

2019-02-12 17:23:55 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  configure: Only disable dxva2 once

2019-02-12 10:57:24 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  Update to ffmpeg n4.1.1

=== release 1.15.1 ===

2019-01-17 02:21:41 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	* meson.build:
	  Release 1.15.1

2019-01-17 02:21:35 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/gst-libav-plugins.interfaces:
	* docs/plugins/inspect/plugin-libav.xml:
	  Update docs

2019-01-13 00:46:50 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* ext/libav/gstavcfg.c:
	  avcfg: Fix AVOptionRanges leak
	  It must be freed with av_opt_freep_ranges as documented.

2018-12-05 17:24:43 -0300  Thibault Saunier <tsaunier@igalia.com>

	* common:
	  Automatic update of common submodule
	  From ed78bee to 59cb678

2018-11-15 11:29:54 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n4.1

2018-11-12 13:04:51 +0200  Jordan Petridis <jordan@centricular.com>

	* .gitlab-ci.yml:
	  Add Gitlab CI configuration
	  This commit adds a .gitlab-ci.yml file, which uses a feature
	  to fetch the config from a centralized repository. The intent is
	  to have all the gstreamer modules use the same configuration.
	  The configuration is currently hosted at the gst-ci repository
	  under the gitlab/ci_template.yml path.
	  Part of https://gitlab.freedesktop.org/gstreamer/gstreamer-project/issues/29

2018-11-08 16:33:57 +0100  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  codecmap: Add mapping for Voxware metasound
	  Allows actually decoding such streams :)

2018-11-05 10:22:19 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n4.0.3

2018-11-05 05:40:03 +0000  Matthew Waters <matthew@centricular.com>

	* .gitmodules:
	  Update common submodule location
	  Remove the git directory

2018-11-05 13:17:08 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* .gitmodules:
	* gst-libav.doap:
	  Clone the code from gitlab
	  This fixes https://gitlab.freedesktop.org/gstreamer/gst-libav/issues/43

2018-10-29 14:31:52 +0000  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Remove leftover debug logging

2018-10-16 04:08:57 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/libav/gstavcfg.c:
	  avcfg: Ensure that ternary operator always evaluates to int64
	  When building with MSVC, if the 3rd operator is a double, the entire
	  expression always promoted double, and is then cast to int64.
	  When TRUE, this evaluates to (gint64) (gdouble) (INT64_MAX)
	  which overflows to INT64_MIN on MSVC, but not on C99 compilers.
	  This causes us to fail the g_return_if_fail inside g_param_spec_int64
	  when built with MSVC.

2018-10-12 19:20:51 +0530  Arun Raghavan <arun@arunraghavan.net>

	* ext/libav/gstavdemux.c:
	  avdemux: Expose IFF container support
	  This exposes support for the "iff" demuxer. This is a general purpose
	  format, and the reason to expose this now is to allow reading DSD data
	  (which is supported via a variant called DSDIFF).
	  More information at:
	  https://wiki.multimedia.cx/index.php?title=IFF
	  https://www.loc.gov/preservation/digital/formats/fdd/fdd000245.shtml

2018-10-09 18:07:09 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/libav/meson.build:
	* meson.build:
	  meson: Generate a pkgconfig file for gstlibav
	  This matches all other plugins in the other gstreamer repos. This is
	  also necessary for generating the correct libtool archive (.la) files
	  in Cerbero which are needed for static linking on Android and iOS.

2018-10-08 20:55:08 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: use new 'python' module instead of deprecated 'python3' one
	  https://github.com/mesonbuild/meson/pull/4169

2018-10-01 16:13:29 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Don't export symbols from linked static libraries
	  We don't want to export any symbols from the ffmpeg static libraries
	  we link to when building inside Cerbero. In the Autotools build, we
	  pass -export-symbols-regex to libtool which ensures this for us.

2018-09-21 16:01:53 +0200  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Remove unneeded check
	  frame is always valid in this function (but wasn't before the
	  refactoring from a few months ago).
	  CID #1439540

2018-09-21 11:30:58 +0200  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavcfg.c:
	  avcfg: Simplify code
	  The existence of 'opt' is checked, the remainder of the code can therefore
	  rely on it being valid.
	  CID #1439537

2018-08-15 19:33:29 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/ext/libav:
	  libav: update internal snapshot to ffmpeg n4.0.2

2018-07-31 18:35:22 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavviddec.c:
	  decoders: fix draining
	  https://bugzilla.gnome.org/show_bug.cgi?id=796900

2018-07-03 13:15:54 +0200  Georg Ottinger <g.ottinger@gmx.at>

	* ext/libav/gstavcodecmap.c:
	  avmux: Place pva case after generic case
	  In the function gst_ffmpeg_formatid_get_codecids() in the if / else if
	  construct the special case !strcmp (format_name, "pva") should be
	  handled before the generic case (plugin->audio_codec !=
	  AV_CODEC_ID_NONE) || (plugin->video_codec != AV_CODEC_ID_NONE)
	  This patch fixes the ordering.
	  I stumbled accorss this issue while adding a new format to
	  gst_ffmpeg_formatid_get_codecids()
	  https://bugzilla.gnome.org/show_bug.cgi?id=796738

2018-07-23 16:16:10 +0300  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	  avauddec: add support for decoding in non-interleaved layout
	  This removes the internal interleave loop and always negotiates
	  the native output layout of the libav decoder. Users can use
	  audioconvert to interleave if necessary.
	  Special care has been taken to leave the encoder unaffected by
	  the changes in avcodecmap, since GstAudioEncoder doesn't support
	  the non-interleaved layout yet.
	  https://bugzilla.gnome.org/show_bug.cgi?id=705977

2018-07-18 19:41:50 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* ext/libav/gstav.c:
	* ext/libav/gstav.h:
	* ext/libav/gstavauddec.c:
	* ext/libav/gstavviddec.c:
	  libav: Fix symbol redefine build error
	  https://bugzilla.gnome.org/show_bug.cgi?id=796827

2018-07-18 15:43:41 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstav.c:
	* ext/libav/gstav.h:
	  Remove obsolete #if 0-ed code

2018-07-16 23:47:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	* ext/Makefile.am:
	* ext/libswscale/Makefile.am:
	* ext/libswscale/gstffmpegscale.c:
	  Remove swscale plugin code
	  This has been disabled for 5.5 years, time to remove it.

2018-07-16 19:45:35 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg release/4.0 HEAD

2018-07-16 08:44:45 +0200  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavcfg.c:
	  avcfg: Properly initalize GValue
	  .. to the expected property value type.

2018-07-13 18:03:27 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavcfg.c:
	  avcfg: actually remove call to g_object_getv
	  (Sorry about that)

2018-07-13 17:24:07 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavviddec.c:
	  av*dec: Ignore decoding errors
	  We were ignoring these before the port to 4.0, interpreting them
	  as GST_FLOW_ERROR / GST_ELEMENT_ERROR causes check failures.
	  We should start using GST_*_DECODER_ERROR in latter commits,
	  for now simply restore the previous behaviour.

2018-07-13 17:21:25 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavcfg.c:
	  avcfg: use g_object_get_property, not g_object_getv
	  I simply confused those two, we didn't need g_object_getv
	  here anyway.

2018-07-12 22:05:27 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavcfg.c:
	  avcfg: ignore some generic properties
	  We expose profile, level and colorimetry / colorspaces through
	  caps.
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-12 21:57:57 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavcfg.c:
	  avcfg: add skip support to overrides system
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-04 00:21:45 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* meson.build:
	  meson: add FFmpeg meson as a fallback
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-04 00:18:44 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavauddec.c:
	  auddec: fix luck-based sinkpad access
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-02 17:55:00 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* configure.ac:
	* meson.build:
	  Update ffmpeg version requirements
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-02 17:39:30 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavaudioresample.c:
	* ext/libav/gstavscale.c:
	  Remove obsolete scale and resample sources
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-02 17:38:13 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* configure.ac:
	  configure: update libav configure args
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-02 17:31:08 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to n4.0.1 release
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-02 04:14:09 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* meson.build:
	  meson: stop ignoring deprecation warnings!
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-02 04:12:36 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: port to send_frame / receive_packet
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-02 04:05:19 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: fix invalid alignment calculations.
	  avcodec_align_dimensions2 uses context->pix_fmt to make its
	  calculations, we thus need to make sure it is adequately set
	  when calling it.
	  Fixes:
	  gst-launch-1.0 videotestsrc ! video/x-raw, width=1920, height=1080 \
	  ! avenc_mpeg4 ! avdec_mpeg4 ! xvimagesink
	  This showed invalid writes under valgrind, then segfault.
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-01 17:09:05 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: port to send_frame / receive_packet
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-01 02:34:41 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavmux.c:
	  avmux: fix remaining warnings
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-01 02:23:06 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavauddec.h:
	  avauddec: fix remaining warnings
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-01 02:21:46 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: port to new decoding API
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-30 23:28:31 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: further cleanup
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-30 23:27:06 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstav.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavaudenc.h:
	* ext/libav/gstavcfg.c:
	* ext/libav/gstavcfg.h:
	* ext/libav/gstavvidenc.c:
	  avaudenc: install options generically
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-30 02:18:43 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  avviddec: fix signed/unsigned comparisons
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-30 02:14:33 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavviddec.c:
	  avvidec: port to new decoding API
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-29 21:54:11 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstav.c:
	  gstav: stop calling deprecated registration methods
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-29 21:46:00 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavauddec.c:
	  auddec: stop using deprecated getters
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-29 21:38:50 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavmux.c:
	  av_oformat_next (deprecated) -> av_muxer_iterate
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-29 21:37:06 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavdemux.c:
	  av_iformat_next (deprecated) -> av_demuxer_iterate
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-29 21:21:30 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: remove obsolete version check
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-29 21:20:36 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  av_codec_next (deprecated) -> av_codec_iterate
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-29 20:59:46 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavdemux.c:
	  avdemux: port to AVCodecParameters
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-29 20:37:14 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavmux.c:
	  avmux: port to AVCodecParameters
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-29 04:52:02 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavdeinterlace.c:
	* ext/libav/gstavdemux.c:
	* ext/libav/gstavutils.c:
	* ext/libav/gstavutils.h:
	  Remove all uses of AVPicture
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-07-02 17:10:03 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: remove obsolete setting of rc_strategy
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-06-27 20:41:37 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavcfg.c:
	* ext/libav/gstavcfg.h:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavvidenc.c:
	* ext/libav/gstavvidenc.h:
	  Refactor avcfg / avvidenc
	  We were previously installing hardcoded properties for all
	  video encoders, refactor to instead use FFmpeg's AVOption API.
	  avvidenc still exposes a few properties related to the pass
	  mechanism: while the AVOption API allows specifying both passes
	  as flags at the same time, this is not practical in GStreamer's
	  context, where passes need to be run separately using a stats file.
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-04-30 16:02:21 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Stop using deperated EDGE API
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-04-30 15:54:44 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavcfg.c:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	* ext/libav/gstavscale.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  Use AV_ namespace for all CODEC_ macro
	  The remaining use of CODEC_ are codec flags that has been moved into the
	  new codec private properties or have been deperated. Will be fixed in
	  later patches.
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-04-30 15:41:40 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavviddec.c:
	  Use AV_ namespace for INPUT_BUFFER_PADDING_SIZE
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-04-30 15:37:50 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/gstav.c:
	  Don't include deprecated avfiltergraph.h header
	  https://bugzilla.gnome.org/show_bug.cgi?id=792900

2018-05-31 17:28:44 +0800  Roland Jon <rlandjon@gmail.com>

	* ext/libav/gstavdemux.c:
	  avdemux: fix memory leaks
	  https://bugzilla.gnome.org/show_bug.cgi?id=796452

2018-05-11 14:24:03 +0200  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavauddec.h:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	* ext/libav/gstavvidenc.c:
	* ext/libav/gstavvidenc.h:
	  libav: Switch to common include

2018-05-11 14:19:42 +0200  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavmux.c:
	  avmux: Remove unneeded constant variable
	  Since the removal of the gif hacks, the variable was always set to
	  its default value of FALSE. Just remove it.
	  CID #1433656

2018-02-22 15:57:24 +0100  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavviddec.c:
	  avvidec: Expose Closed Caption as GstVideoCaptionMeta

2018-05-05 18:00:06 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavdemux.c:
	  Expose support for DSD
	  DSD is usually wrapped in DSF, for which we now also expose the
	  demuxer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=721186

2014-07-12 15:26:36 +0200  Matej Knopp <matej.knopp@gmail.com>

	* ext/libav/gstavdemux.c:
	  gstavdemux: adjust seeking offset according to start_time
	  https://bugzilla.gnome.org/show_bug.cgi?id=733094

2018-05-05 20:03:49 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* meson_options.txt:
	  meson: Update option names to omit disable_ and with- prefixes
	  Also yield common options to the outer project (gst-build in our case)
	  so that they don't have to be set manually.

2018-05-01 14:57:43 +1000  Jan Schmidt <jan@centricular.com>

	* gst-libs/ext/gas-preprocessor:
	  Update gas-preprocessor submodule

2018-05-01 05:19:28 +1000  Jan Schmidt <jan@centricular.com>

	* configure.ac:
	  configure: Always use full path for gas-preprocessor PATH entry
	  Don't pass a relative path to gas-preprocessor, always use an
	  absolute path to make sure it's found

2018-04-28 00:14:45 +1000  Jan Schmidt <jan@centricular.com>

	* configure.ac:
	  configure: fix handling of the input AS var passed to ffmpeg
	  Store the original AS environment variable passed to configure
	  correctly, and export it so it's actually available to the sub-process
	  when configuring the embedded ffmpeg

2018-04-16 10:53:36 +0100  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 3fa2c9e to ed78bee

2018-03-20 09:41:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* meson.build:
	  Back to development

=== release 1.14.0 ===

2018-03-19 20:25:38 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	* meson.build:
	  Release 1.14.0

2018-03-19 20:25:38 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-libav.xml:
	  Update docs

=== release 1.13.91 ===

2018-03-13 19:26:51 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	* meson.build:
	  Release 1.13.91

2018-03-13 19:26:51 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-libav.xml:
	  Update docs

2018-03-08 11:22:29 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* configure.ac:
	  configure.ac: enable largefile support if possible
	  https://bugzilla.gnome.org/show_bug.cgi?id=793103

2018-03-06 14:40:20 +1100  Matthew Waters <matthew@centricular.com>

	* gst-libs/ext/Makefile.am:
	  build: prefer using *.la references when creating our own libtool files
	  Otherwise we will reference the dependant libraries with -lfoo rather than
	  /path/to/libfoo.la which breaks with the Android-based .la parser which
	  simply passes through all -l libraries.
	  https://bugzilla.gnome.org/show_bug.cgi?id=786403

=== release 1.13.90 ===

2018-03-03 22:44:19 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	* meson.build:
	  Release 1.13.90

2018-03-03 22:44:19 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-libav.xml:
	  Update docs

2018-03-01 19:01:58 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* meson.build:
	  meson: enable more warnings

2018-02-14 23:45:51 +1100  Matthew Waters <matthew@centricular.com>

	* configure.ac:
	  explicitly disable v4l2_m2m codecs
	  They fail with android NDK r16

2018-02-15 19:44:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* meson.build:
	  Back to development

=== release 1.13.1 ===

2018-02-15 17:15:15 +0000  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	* NEWS:
	* configure.ac:
	* gst-libav.doap:
	* meson.build:
	  Release 1.13.1

2018-02-15 17:14:36 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/gst-libav-plugins.interfaces:
	* docs/plugins/inspect/plugin-libav.xml:
	  docs: update plugin docs

2018-02-12 08:32:01 +0100  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavdemux.c:
	* ext/libav/gstavmux.c:
	  av*mux: Disable gif related "hacks"
	  This is properly handled by the previous commit now

2017-06-13 18:50:50 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavdemux.c:
	* ext/libav/gstavviddec.c:
	  Enable gif format, and make it so avdemux_gif and avdec_gif can autoplug
	  https://bugzilla.gnome.org/show_bug.cgi?id=784684

2018-02-12 07:38:13 +0100  Edward Hervey <edward@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to n3.4.2 release

2018-02-10 15:18:11 +0100  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  avvid*: Don't expose V4L2 mem-to-mem decoder and encoders
	  It's not going to work without special handling. Mask for now.

2018-02-10 14:56:50 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst-libs/ext/libav:
	  gst-libs: Switch to ffmpeg n3.4.1

2018-02-08 19:18:21 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: make version numbers ints and fix int/string comparison
	  WARNING: Trying to compare values of different types (str, int).
	  The result of this is undefined and will become a hard error
	  in a future Meson release.

2018-02-05 08:47:18 +0100  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	  autotools: use -fno-strict-aliasing where supported
	  https://bugzilla.gnome.org/show_bug.cgi?id=769183

2018-01-30 20:37:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: use -fno-strict-aliasing where supported
	  https://bugzilla.gnome.org/show_bug.cgi?id=769183

2018-01-20 15:45:45 +0800  Ting-Wei Lan <lantw@src.gnome.org>

	* configure.ac:
	  configure: Replace -Bsymbolic-functions with -Bsymbolic
	  The documentation of libav says -Bsymbolic may be needed when building a
	  shared library which links statically to libav.
	  Fixes linking error on FreeBSD:
	  gst-libav/gst-libs/ext/.libs/libavcodec.a(simple_idct10.o):
	  relocation R_X86_64_PC32 against `ff_pw_1023' can not be used when making a
	  shared object; recompile with -fPIC
	  /usr/bin/ld: final link failed: Bad value
	  https://bugzilla.gnome.org/show_bug.cgi?id=791783

2017-10-23 19:35:31 -0700  U. Artie Eoff <ullysses.a.eoff@intel.com>

	* configure.ac:
	* ext/libav/Makefile.am:
	  libav: use LIBAV_CPPFLAGS for -I include paths
	  Autotools automatically appends user CPPFLAGS after target
	  CPPFLAGS.  Also, it puts all CPPFLAGS before CFLAGS in final
	  generated gcc compile command.  The internal ffmpeg include
	  paths need to come before any other external include paths
	  to ensure we don't accidentally pickup external ffmpeg
	  headers first (i.e. from user CPPFLAGS include paths).  Thus,
	  move the internal LIBAV include paths to LIBAV_CPPFLAGS so
	  that they come before any user defined CPPFLAGS.
	  This allows ffmpeg and gst-ffmpeg to coexist on users system.
	  https://bugzilla.gnome.org/show_bug.cgi?id=789379

2017-10-03 13:57:24 +0530  Ashish Kumar <kr.ashish@samsung.com>

	* ext/libav/gstavprotocol.c:
	  avprotocol: fix leak in error code paths
	  https://bugzilla.gnome.org/show_bug.cgi?id=788481

2017-12-14 14:53:10 +1100  Matthew Waters <matthew@centricular.com>

	* common:
	  Automatic update of common submodule
	  From e8c7a71 to 3fa2c9e

2017-11-27 20:16:52 +1100  Matthew Waters <matthew@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 3f4aa96 to e8c7a71

2017-10-31 08:54:29 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.3.5

2017-10-19 16:15:26 +0200  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavdemux.c:
	  avdemux: Whitelist the demuxers required for GC/Wii/WiiU ADPCM streams
	  Required to play .brstm (GameCube/Wii) and .bfstm (Wii U) files. Needs
	  at least avdec_adpcm_thp too, but that one is already accessible.
	  https://bugzilla.gnome.org/show_bug.cgi?id=789139

2017-09-23 17:14:03 +0200  Nicola Murino <nicola.murino@gmail.com>

	* ext/libav/gstavdemux.c:
	  avdemux: reset to 0 negative pts
	  for us pts are unsigned so reset to 0 negative pts returned from libav.
	  This is better than outputs completly wrong timestamps
	  https://bugzilla.gnome.org/show_bug.cgi?id=787795

2017-09-18 15:45:32 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.3.4

2017-08-17 14:28:22 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ext/libav/gstavcodecmap.c:
	  gstavcodecmap: Do not require a channel-mask
	  .. for mono or stereo input.
	  https://bugzilla.gnome.org/show_bug.cgi?id=786401

2017-08-17 12:25:58 +0100  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 48a5d85 to 3f4aa96

2017-08-11 20:26:06 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: don't export symbols by default
	  Only plugin entry points should be exported.

2017-08-10 18:55:29 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  Revert "avviddec: Remove usage of deprecated EDGE APIs"
	  This reverts commit 4284d791bc2c3ae716e4f99cedd870de9f575aec.
	  It causes crashes on various h264 and DNXHD/VC3 streams, where the
	  decoders write to arbitrary memory far after what we've allocated.

2017-08-10 17:22:46 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.3.3

2017-07-11 13:45:35 +0530  Satya Prakash Gupta <sp.gupta@samsung.com>

	* ext/libswscale/gstffmpegscale.c:
	  libswscale: Memory leak in gst_video_frame_map
	  https://bugzilla.gnome.org/show_bug.cgi?id=784741

2017-07-11 11:34:03 +0530  Satya Prakash Gupta <sp.gupta@samsung.com>

	* ext/libav/gstavprotocol.c:
	  avdemux/mux: Memory leak and possible crash in avio_alloc_context
	  https://bugzilla.gnome.org/show_bug.cgi?id=784735

2017-07-11 09:36:45 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Remove usage of deprecated EDGE APIs
	  As a side effect, left/right green bars goes away when using
	  xvimagesink. I just think that xv cropping is broken, so this is
	  probably just hiding a bug.

2017-07-10 10:33:03 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavmux.c:
	  avmux: Blacklist scc muxer
	  We have no codec mappings for it and it's a subtitle/closed caption
	  "muxer" anyway.

2017-07-07 11:59:41 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: find python3 via python3 module
	  https://bugzilla.gnome.org/show_bug.cgi?id=783198

2017-06-26 09:53:46 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: fix with-package-name option
	  https://bugzilla.gnome.org/show_bug.cgi?id=784082

2017-06-20 10:50:38 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.3.2

2017-05-20 15:16:04 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstav.c:
	* meson.build:
	* meson_options.txt:
	  meson: add options to set package name and origin
	  https://bugzilla.gnome.org/show_bug.cgi?id=782172

2017-05-20 15:27:52 +0200  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* configure.ac:
	* ext/libav/Makefile.am:
	* gst-libs/ext/Makefile.am:
	  plugin: Explicitly link to BZ2, LZMA and LZ
	  While all this information is in the .la files, libtool seems to get
	  confused with ordering in presence of static system libraries. This could
	  cause missing symbol error at link time. Adding these depenencies explicitly
	  workaround the issue.

2017-05-20 13:05:23 +0200  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/ext/Makefile.am:
	  Don't fail if running "make clean" twice

2017-05-20 20:02:39 +1000  Jan Schmidt <jan@centricular.com>

	* .gitmodules:
	* configure.ac:
	* gst-libs/ext/gas-preprocessor:
	  Pass $CC as AS, unless $AS is provided. Add gas-preprocessor
	  Add gas-preprocessor.pl as a git submodule, and put it in the
	  path so that it is available if libav wants it.
	  Switch back to providing $CC as $AS by default, but
	  respect an external $AS setting so that it can be
	  overridden in cerbero
	  https://bugzilla.gnome.org/show_bug.cgi?id=694416

2017-05-17 10:41:57 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.3.1

2017-05-16 14:43:11 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* configure.ac:
	* ext/libav/Makefile.am:
	* ext/libswscale/Makefile.am:
	  Remove plugin specific static build option
	  Static and dynamic plugins now have the same interface. The standard
	  --enable-static/--enable-shared toggle are sufficient.

2017-05-16 18:54:32 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Don't expose NVIDIA CUVID decoder
	  It's not working without further changes on our side, like all hardware
	  decoders in ffmpeg.

2017-05-11 21:17:21 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* configure.ac:
	* ext/libav/Makefile.am:
	* gst-libs/ext/Makefile.am:
	  Generate .la for internal libav libraries
	  This should help libtool in getting the internal linking right.
	  Effectively, libtool can sometime get the link order wrong when
	  presented with a mix of .la and -l arguments. These .la file are
	  also required by the android build system and were previously
	  created by cerbero.

2017-05-11 13:31:50 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/Makefile.am:
	  Use automake to install dependency libraries
	  The install line was using -t parameter which is not supported on OSX.
	  Instead, use automake DATA installation mechanism, this way we rely on
	  automake to generate portable scripts.

2017-05-10 21:20:05 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* configure.ac:
	* ext/libav/Makefile.am:
	  Use a portable method to link against internal FFMPEG
	  In the last iteration, we kept the original method to link the shared
	  plugin and edited the .a and .la files so satisfy what cerbero needed.
	  Unfortunately, that required adding .a file into the archive which is
	  not allowed with iOS ar command for universal builds.
	  This patch uses standard method to link a static library. One of the
	  benefit is that it removes some libtool warning about portability.
	  For the static case, we implement an install hook that installs
	  FFMPEG internal .a files in the plugin directory (so it does not get
	  confused with a possible system FFMPEG. This makes the static plugin
	  usable without depending on cerbero recipe.

2017-05-10 12:10:54 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/Makefile.am:
	  static: Update libgstlibav.lai too
	  Libtool will produce libgstlibav.la and libgstlibav.lai (the installed
	  version). We need to edit at least the installed version for the final
	  linking of static application to work.

2017-05-10 09:47:12 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/Makefile.am:
	  Simplify and fix the static linking
	  Some libtool will endup removing the shared build when running a static
	  build. That had unwanted side effect. Rather then fighting libtool to
	  get to build each static and shared seperatly, let libtool build with
	  the LIBAV_DEPS added to LIBADD (list of libav*.a) and finally remove the
	  extra .a from the archive and fix the .la to what cerbero will expect.

2017-05-08 09:30:24 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/Makefile.am:
	  libav: Allow build both static dynamic plugins
	  When building plugins with internal FFMPEG, we use different link
	  flags depending if it is static or shared. As we want to build both
	  static and dynamic plugins at once, rewrite the rules so we can
	  pass the right flags.
	  https://bugzilla.gnome.org/show_bug.cgi?id=779344

2017-05-04 18:59:14 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	* meson.build:
	  Back to development

=== release 1.12.0 ===

2017-05-04 15:39:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	* meson.build:
	  Release 1.12.0

=== release 1.11.91 ===

2017-04-27 17:35:41 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/gst-libav-plugins.interfaces:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	* meson.build:
	  Release 1.11.91

2017-04-24 20:30:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 60aeef6 to 48a5d85

2017-04-21 11:50:17 +1000  Jan Schmidt <jan@centricular.com>

	* configure.ac:
	  Revert "configure: Set the assembler used for libav to $CC"
	  This reverts commit 1a265f029aa9be1bf3f72d1dcd9feafbf23a6298.
	  It also makes it impossible to pass something other than $CC
	  as the assembler. People should adjust the passed AS variable
	  if they need something different.

2017-04-14 14:55:52 +0200  Edward Hervey <edward@centricular.com>

	* configure.ac:
	  configure: Remove usage of memalign_hack in ffmpeg
	  It was removed in the last release

2017-04-13 15:23:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	  avaudenc/dec: Blacklist more PCM decoders/encoders

2017-04-13 15:15:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.3

2017-04-10 23:50:55 +0100  Tim-Philipp Müller <tim@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From 39ac2f5 to 60aeef6

=== release 1.11.90 ===

2017-04-07 16:34:46 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	* meson.build:
	  Release 1.11.90

2017-03-22 12:55:40 +0530  Arun Raghavan <arun@arunraghavan.net>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Fix compiler errors in the previous commit
	  The declaration of 'const char *klass' was shadowing a function
	  argument.

2017-03-20 22:19:47 +0530  Arun Raghavan <arun@arunraghavan.net>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	* ext/libav/gstavvidenc.c:
	  avvidenc: Classify image encoders with "Image" instead of "Video"
	  This allows gst_video_convert_sample*() to work with codecs for which we
	  have libav encoders (such as BMP).
	  https://bugzilla.gnome.org/show_bug.cgi?id=780317

2017-03-16 17:14:21 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add mappings for I420/I422/Y444_12LE/BE and GBRA
	  https://bugzilla.gnome.org/show_bug.cgi?id=780100

2017-03-15 15:37:29 +0100  Emeric Grange <egrange@gopro.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add GBR_12LE/BE and GBRA_12LE/BE pixel format mapping for CineForm decoder

2017-03-16 15:23:01 +1100  Jan Schmidt <jan@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Add Stereo3D mapping
	  Add mapping between GStreamer multiview modes/flags and
	  libav Stereo3D frame packings when encoding video.
	  https://bugzilla.gnome.org/show_bug.cgi?id=767938

2017-03-16 15:23:01 +1100  Jan Schmidt <jan@centricular.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  avviddec: Map any stereo3D info to multiview modes
	  Map any libav Stereo3D side data to GStreamer multiview
	  mode / flags for playback.
	  https://bugzilla.gnome.org/show_bug.cgi?id=767938

2017-03-14 15:01:41 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add mapping for CineForm HD / CFHD codec
	  https://bugzilla.gnome.org/show_bug.cgi?id=780024

2017-02-24 15:59:51 +0200  Sebastian Dröge <sebastian@centricular.com>

	* meson.build:
	  meson: Update version

2017-02-24 15:37:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.11.2 ===

2017-02-24 15:07:59 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.11.2

2017-02-14 20:38:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	  meson: dist meson build files
	  Ship meson build files in tarballs, so people who use tarballs
	  in their builds can start playing with meson already.

2017-02-12 21:48:20 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to n3.2.4

2017-02-08 16:11:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.2.3

2017-02-08 16:10:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  configure: Require building against at least ffmpeg 3.0
	  See also https://bugzilla.gnome.org/show_bug.cgi?id=778283

2017-01-13 12:43:37 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump version

2017-01-12 16:32:56 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.11.1 ===

2017-01-12 16:11:31 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.11.1

2017-01-02 09:06:09 +0530  Garima Gaur <garima.g@samsung.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavdemux.c:
	* ext/libav/gstavmux.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  Fix some caps leaks when creating pad templates
	  https://bugzilla.gnome.org/show_bug.cgi?id=776700

2016-12-16 17:33:44 +0000  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	* Makefile.am:
	* configure.ac:
	  Really remove generated .spec file

2016-12-16 17:32:56 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-libav.spec.in:
	  Remove generated .spec file
	  Likely extremely bitrotten, and we should not ship this anyway.

2016-12-09 17:42:36 -0300  Thibault Saunier <tsaunier@gnome.org>

	* meson.build:
	  meson: Support building without Gst debug

2016-12-08 16:13:49 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to n3.2.2

2016-12-04 23:39:00 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add mapping for Flash Screen2 codec

2016-12-03 08:20:40 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From f980fd9 to 39ac2f5

2016-12-02 17:06:50 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavdemux.c:
	  avdemux: Disable GIF "demuxer"
	  It's actually a parser but it a) can only work with the ffmpeg GIF
	  decoder that is deactivated anyway, and b) it currently causes infinite
	  linking of avdemux_gif elements with a multiqueue in between in
	  decodebin.
	  https://bugzilla.gnome.org/show_bug.cgi?id=775516

2016-12-02 14:19:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavprotocol.h:
	  avprotocol: Don't use GST_LOG_OBJECT() and friends on an arbitrary struct that is not a GObject
	  https://bugzilla.gnome.org/show_bug.cgi?id=775516

2016-11-26 14:00:39 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.2.1

2016-11-26 13:59:12 +0200  Sebastian Dröge <sebastian@centricular.com>

	* .gitmodules:
	  libav: Change ffmpeg submodule from GIT protocol to HTTPS

2016-11-26 11:26:46 +0000  Tim-Philipp Müller <tim@centricular.com>

	* .gitmodules:
	  common: use https protocol for common submodule
	  https://bugzilla.gnome.org/show_bug.cgi?id=775110

2016-11-23 15:38:49 +0100  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* ext/libav/gstav.c:
	  Define plugin license outside the call to PLUGIN_DEFINE
	  Msvc fails at pre processing it and states that the
	  the use of "#" is invalid inside a macro.

2016-11-23 06:05:26 -0800  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* meson.build:
	  meson: Ignore spurious issues when building with msvc

2016-11-23 06:04:58 -0800  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* config.h.meson:
	* ext/libav/gstavutils.c:
	* meson.build:
	  Properly check if unistd.h is avalaible
	  And stop providing a meson.h.config as it is not needed (as meson dep
	  has been bumped to 0.36)

2016-11-24 17:15:14 +0100  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add support for packed 32bit RGBx variants
	  We can support those, so just add the mapping

2016-11-16 17:06:54 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavdemux.c:
	  av: Enable IVF demuxer (and muxer)
	  It works and is a quite unimportant format, we should get rid of our
	  parser to reduce the amount of code to maintain.

2016-11-14 11:49:52 +0100  Marinus Schraal <m.schraal@src.gnome.org>

	* ext/libav/gstavdemux.c:
	  avdemux: Map artist to artist tag
	  It was incorrectly mapped to album-artist before.
	  https://bugzilla.gnome.org/show_bug.cgi?id=774398

2016-11-12 15:21:59 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavmux.c:
	  avmux: blacklist fifo plugin
	  Avoids criticals in gst-inspect-1.0 -a

2016-11-11 16:03:00 +0000  leigh123linux@googlemail.com <leigh123linux@googlemail.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  avvidenc/dec: Disable more hardware encoder/decoders
	  Important when using a system ffmpeg/libav.
	  https://bugzilla.gnome.org/show_bug.cgi?id=774278

2016-11-10 15:42:19 +0100  Michael Olbrich <m.olbrich@pengutronix.de>

	* configure.ac:
	  configure: fix target_os when cross-compiling for arm
	  For arm 'host_os' is '*-gnueabi' or '*-gnueabihf' so sed needs to cut of
	  more. Otherwise configuring ffmpeg will fail with "Unknown OS 'linuxeabi'."
	  or something like that.
	  https://bugzilla.gnome.org/show_bug.cgi?id=774215

2016-11-04 16:27:59 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Fix comment to say interlace-mode instead of interlaced-mode

2016-11-04 16:22:07 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: It's interlace-mode, not interlaced-mode

2016-11-03 12:43:46 -0700  Scott D Phillips <scott.d.phillips@intel.com>

	* meson.build:
	  meson: Include libav dependency in FFmpeg check
	  The FFmpeg-origin check can't work if it isn't provided the
	  dependency library.
	  https://bugzilla.gnome.org/show_bug.cgi?id=773911

2016-09-30 18:56:07 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add variant to the ProRes caps
	  https://bugzilla.gnome.org/show_bug.cgi?id=769048

2016-09-29 15:35:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  avviddec: Use interlaced-mode=interleaved and set field-order if possible
	  https://bugzilla.gnome.org/show_bug.cgi?id=771376

2016-09-29 15:18:46 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Configure field order in the context if we can
	  https://bugzilla.gnome.org/show_bug.cgi?id=771376

2016-09-29 13:26:34 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avvidenc: Set colorimetry information in the context if known
	  https://bugzilla.gnome.org/show_bug.cgi?id=750882

2016-09-29 13:10:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Set colorimetry information from the context if known
	  But only if upstream did not provide that information.
	  https://bugzilla.gnome.org/show_bug.cgi?id=750882

2016-11-01 18:11:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: update version

2016-10-29 15:38:01 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add mapping for Opus audio decoder
	  Make avdec_opus work.
	  https://bugzilla.gnome.org/show_bug.cgi?id=773672

=== release 1.11.0 ===

2016-11-01 18:53:15 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.10.0 ===

2016-11-01 18:10:45 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/gst-libav-plugins.interfaces:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.10.0

2016-10-28 12:55:34 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.2

2016-10-27 10:44:20 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: fix version

2016-10-26 23:29:18 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	  avaudenc/dec: Allow compilation against ffmpeg < 3.2 again

2016-10-26 23:17:28 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	  avaudenc/dec: Ignore S64BE/LE pseudo-codecs

2016-10-26 23:10:57 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg 3.2 release branch
	  Release 3.2.0 is planned tomorrow and we should keep track of the latest
	  major version for 1.10 as we did in the past too.

2016-10-24 10:30:05 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  configure: Fix shell syntax error
	  Assignments must not have spaces around the '='

2016-10-22 12:48:40 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.1.5

2016-10-15 22:20:40 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Don't set c_std to gnu99
	  Use the default for each compiler on every platform instead. This
	  improves our compatibility with compilers that don't have gnu99 as
	  a c_std.

2016-10-06 14:25:17 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.1.4

2016-09-30 11:35:41 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* hooks/pre-commit.hook:
	* meson.build:
	  meson: Setup pre-commit hooks when configuring

=== release 1.9.90 ===

2016-09-30 13:03:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.9.90

2016-09-29 12:01:59 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Use enum instead of magic numbers for the chroma siting values

2016-09-14 11:31:07 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  configure: Depend on gstreamer 1.9.2.1

2016-09-14 11:20:48 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavvidenc.c:
	  av: Cast AVContext::bit_rate to a guint before passing to varargs functions
	  We expect it to be a int or uint, however it changed the type to a
	  int64_t in later versions of ffmpeg. As such it would be passed as a 64
	  bit value to varargs functions, while the consumer of the arguments
	  assumes only 32 bits. This causes crashes.
	  https://bugzilla.gnome.org/show_bug.cgi?id=771092

2016-09-10 20:52:01 +1000  Jan Schmidt <jan@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From b18d820 to f980fd9

2016-09-10 09:58:11 +1000  Jan Schmidt <jan@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From f49c55e to b18d820

2016-08-29 11:08:16 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* config.h.meson:
	* configure.ac:
	* ext/libav/meson.build:
	* meson.build:
	  build: Do not link plugin against lzma and bz2 if using system install
	  And bump version to 1.9.2

2016-09-02 16:55:46 +0100  Iain Lane <iain@orangesquash.org.uk>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  Only use AV_CODEC_ID_WRAPPED_AVFRAME on new enough libavcodecs
	  https://bugzilla.gnome.org/show_bug.cgi?id=770753

2016-09-01 12:31:21 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.9.2 ===

2016-09-01 12:31:10 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.9.2

2016-08-29 17:03:18 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.1.3

2016-08-28 21:47:35 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* config.h.meson:
	* ext/libav/meson.build:
	* meson.build:
	  Add support for Meson as alternative/parallel build system
	  https://github.com/mesonbuild/meson
	  We only support building with ffmpeg installed system wide and not as
	  subproject yet.

2016-08-19 11:13:44 -0700  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* ext/libav/gstavdemux.c:
	  Use the new API to post flow ERROR messages on the bus
	  https://bugzilla.gnome.org/show_bug.cgi?id=770158

2016-08-26 21:46:18 +0200  Josep Torra <n770galaxy@gmail.com>

	* configure.ac:
	* tests/check/Makefile.am:
	  build: silence error about pthread for 'make check' in osx
	  Fixes "clang: error: argument unused during compilation: '-pthread'"

2016-08-20 10:53:07 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  libav: fix confusing 'insane framerate' debug log message
	  Usually means no framerate / variable framerate. Also the
	  fraction arguments were swapped.

2016-08-16 21:11:35 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  configure: Explicitly disable CrystalHD decoder
	  Otherwise it will pick it up when the system has the relevant headers,
	  and then linking produces an unusable plugin later as we don't ensure
	  that the plugin also links against the crystalhd library.
	  https://bugzilla.gnome.org/show_bug.cgi?id=769809

2016-08-16 10:43:18 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.1.2

2016-08-04 10:45:14 +0200  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavviddec.c:
	  avvidec: Ensure skipping strategy gets properly reset
	  When switching playback modes, like from TRICKMODE or TRICKMODE_KEY_UNITS
	  back to regular playback, we need to make sure we set the skip mode
	  back to the default setting.
	  While this field would be properly reset when we *have* feedback from
	  downstream (i.e. diff != G_MAXINT64), it would not be reset during
	  the initial phase (i.e. when the decoder hasn't pushed a buffer yet,
	  and therefore the sink hasn't sent back QoS information).
	  This avoids dropping plenty of frames when going back to regular playback

2016-07-26 10:27:22 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to n3.1.1

2016-07-22 14:54:21 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  libav: Ignore more quasi-codecs

2016-07-22 14:42:59 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  libav: Ignore VAAPI decoders and VAAPI/nvenc encoders
	  These can show up when having a build against a system version of ffmpeg.

2016-07-11 21:15:39 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From f363b32 to f49c55e

2016-07-06 13:51:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.9.1 ===

2016-07-06 13:26:10 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/gst-libav-plugins.interfaces:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.9.1

2016-07-05 20:16:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Use gst_caps_fixate() instead of gst_caps_truncate()
	  Just truncating might not be enough.

2016-07-05 20:16:09 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Create caps from the codec context after it is opened
	  We won't get codec_data and various other information otherwise.

2016-07-05 20:15:28 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Create caps from the codec context after it is opened
	  We won't get codec_data and various other information otherwise.

2016-07-01 09:29:03 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  libav: Disable various other hardware related codecs

2016-07-01 09:25:14 +0200  Edward Hervey <edward@centricular.com>

	* configure.ac:
	  configure: Disable VAAPI support
	  We have native plugins (gst-vaapi) for that

2016-07-01 09:16:41 +0200  Edward Hervey <edward@centricular.com>

	* configure.ac:
	  configure: Disable {audio|video}toolbox support (osx/ios)
	  We already have native plugins for those

2016-06-30 23:22:17 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.1

2016-06-21 11:48:33 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* common:
	  Automatic update of common submodule
	  From ac2f647 to f363b32

2016-05-31 20:29:32 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/Makefile.am:
	  tests: use AM_TESTS_ENVIRONMENT
	  Needed by new automake test runner.

2016-05-15 13:34:11 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/inspect/plugin-libav.xml:
	  docs: Update for git master

2016-05-14 12:09:06 +0200  Edward Hervey <bilboed@bilboed.com>

	* ext/libav/gstavviddec.c:
	  avvidec: Don't set bogus latency
	  We might have cases where the framerate is not known (0/1).

2016-05-12 11:09:13 +0200  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavviddec.c:
	  avvidec: Report the latency once we're fully configured
	  Several decoders will only be able to report a real latency (has_b_frames)
	  once they're actually initialized (i.e. when they return their first frame).
	  Doing it earlier (in set_format) doesn't guarantee that the AVCodecContext
	  has_b_frames has been properly initialized.
	  https://bugzilla.gnome.org/show_bug.cgi?id=766362

2016-05-13 10:27:38 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add mapping for G729 caps
	  https://bugzilla.gnome.org/show_bug.cgi?id=766333

2016-05-03 19:04:06 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n3.0.2

2016-04-29 13:06:07 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: Finish frames if they are header buffers only and don't produce any output
	  Otherwise we will consider them as one frame of raw audio that is still
	  pending, and shift all timestamps by the amount of time spent with header
	  buffers.
	  https://bugzilla.gnome.org/show_bug.cgi?id=765797

2016-04-29 12:55:19 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: If decoding a frame failed, skip it
	  Otherwise the next successfully decoded frame will get its timestamp and we
	  will slowly let a/v sync drift apart.
	  https://bugzilla.gnome.org/show_bug.cgi?id=765797

2016-04-28 18:43:37 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Set all required fields in the AVFrame
	  Various functions in libavcodec need them, like the format, sample rate, etc.
	  and just having them in the context is not enough.
	  This fixes draining for codecs like MP2 that require a fixed frame size and
	  require libav to pad the last frame if required.

2016-04-25 18:39:54 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcfg.c:
	  avcfg: Use av_strdup() instead of g_strdup() for strings owned by ffmpeg
	  It has its own allocator that depending on the configuration is incompatible
	  with GLib's and just causes a segmentation fault. Like on Windows.
	  https://bugzilla.gnome.org/show_bug.cgi?id=760266

2016-04-20 15:27:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	* ext/libav/gstav.c:
	  avdeinterlace: Register all filters and only disable all except for yadif during compilation
	  Otherwise avdeinterlace won't find any filters, and we only use yadif in
	  there.
	  https://bugzilla.gnome.org/show_bug.cgi?id=765319

2016-04-15 12:51:07 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to n3.0.1

2016-04-14 10:04:23 +0100  Julien Isorce <j.isorce@samsung.com>

	* common:
	  Automatic update of common submodule
	  From 6f2d209 to ac2f647

2016-03-24 18:31:27 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* ext/libav/gstavviddec.h:
	* ext/libav/gstavvidenc.h:
	  avvid{dec,enc}: remove dead gobject macros
	  The GObject macros either for GstFFMpegVidDec and GstFFMpegVidEnc can
	  break the compilation because they are not GTypes, since each av video
	  elements are registered in runtime.
	  https://bugzilla.gnome.org/show_bug.cgi?id=764162

2016-03-04 16:42:03 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* ext/libav/gstavdeinterlace.c:
	* ext/libswscale/gstffmpegscale.c:
	  libav: use new gst_element_class_add_static_pad_template()
	  https://bugzilla.gnome.org/show_bug.cgi?id=763084

2016-03-24 13:33:33 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.8.0 ===

2016-03-24 12:55:15 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.8.0

2016-03-20 13:43:00 +0000  Egor Zaharov <nexfwall@yandex.ru>

	* configure.ac:
	  configure: Restore CPPFLAGS after the last check
	  The next checks can also set CPPFLAGS.
	  https://bugzilla.gnome.org/show_bug.cgi?id=763940

=== release 1.7.91 ===

2016-03-15 12:23:48 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.7.91

2016-03-11 15:44:16 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Only set the bitrate if we actually got it from the caps
	  Otherwise we set a random value from the stack as bitrate. The default (0)
	  is a better choice and doesn't upset valgrind.

=== release 1.7.90 ===

2016-03-01 18:51:22 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.7.90

2016-02-26 12:42:36 +0200  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From b64f03f to 6f2d209

2016-02-23 18:19:18 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavdeinterlace.c:
	  avdeinterlace: Don't assume that get_current_caps() returns non-NULL caps after has_current_caps()
	  Remove calls to gst_pad_has_current_caps() which then go on to call
	  gst_pad_get_current_caps() as the caps can go to NULL in between. Instead just
	  use gst_pad_get_current_caps() and check for NULL.
	  https://bugzilla.gnome.org/show_bug.cgi?id=759539

2016-02-21 10:40:02 +0000  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	* win32/MANIFEST:
	* win32/vs6/gst_ffmpeg.dsw:
	* win32/vs6/libgstffmpeg.dsp:
	  win32: remove outdated build cruft
	  This hasn't been touched for generations, doesn't work,
	  and is just causing confusion. We also don't want to
	  maintain these files manually.

2016-02-20 12:59:38 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstav.c:
	* ext/libav/gstav.h:
	* ext/libav/gstavauddec.c:
	* ext/libav/gstavviddec.c:
	  Don't use exported but undeclared core debug category symbols
	  It's not right and won't work on Windows with MSVC.

2016-02-19 12:38:37 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.7.2 ===

2016-02-19 12:00:24 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.7.2

2016-02-16 16:32:38 +0100  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavcfg.c:
	  avcfg: rc-min-rate and rc-max-rate are now 64bit integers
	  Switch the gobject properties and internal handling to support that

2016-02-16 09:11:08 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Set width/height and format in the AVFrame we pass to the encoder API

2016-02-16 09:02:21 +0200  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/gst-libav-plugins.interfaces:
	* docs/plugins/inspect/plugin-libav.xml:
	  docs: Update docs to not have unstaged changes after build again
	  There are some new codec IDs that we probably would like to map too, e.g.
	  Dirac/VC2 and Cineform HD.

2016-02-15 17:06:05 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to n3.0

2016-02-05 18:10:53 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From 86e4663 to b64f03f

2016-01-25 20:13:10 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Also use av_free() instead of g_free()

2016-01-25 20:08:11 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Use av_malloc() instead of GLib malloc() wrappers for memory freed by ffmpeg
	  It has its own allocator that is not necessarily doing the same as malloc and
	  will then usually crash. E.g. on Windows or when memalign() is available.

2016-01-21 17:35:51 +0100  Edward Hervey <edward@centricular.com>

	* ext/libav/gstavviddec.c:
	  avvidec: Bring mpeg video decoders up to PRIMARY rank
	  We should have done that ages ago ...
	  https://bugzilla.gnome.org/show_bug.cgi?id=574461

2016-01-21 11:41:45 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  libav: Ensure to link with -lavfilter

2016-01-20 10:31:40 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Use AVFrame API instead of deprecated AVPicture API

2016-01-19 09:42:47 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavdeinterlace.c:
	* ext/libav/gstavscale.c:
	  av: Use av_image_get_buffer_size() instead of deprecated avpicture_get_size()

2016-01-19 09:39:00 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavdemux.c:
	  avdemux: Use av_packet_unref() instead of deprecated av_free_packet()

2016-01-19 09:36:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Use AVPacket.flags for detecting keyframes
	  AVCodec.coded_frame is deprecated and will disappear at some point
	  in the future.

2016-01-16 16:43:16 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavdeinterlace.c:
	  avdeinterlace: Chain up to parent class' dispose()
	  https://bugzilla.gnome.org/show_bug.cgi?id=757498

2016-01-16 16:40:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavcodecmap.c:
	  libav: Bitrate field changed from int to int64_t, fix compiler warnings
	  Cast it to a gint64 for now though, as otherwise we will fail compilation
	  with ffmpeg 2.8.
	  https://bugzilla.gnome.org/show_bug.cgi?id=757498

2015-11-04 21:18:56 +0100  Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>

	* ext/libav/gstavcfg.c:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	* ext/libav/gstavdeinterlace.c:
	* ext/libav/gstavutils.c:
	* ext/libav/gstavutils.h:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	* ext/libav/gstavvidenc.c:
	* ext/libswscale/gstffmpegscale.c:
	  libav: Remove usage of deprecated API
	  https://bugzilla.gnome.org/show_bug.cgi?id=757498

2015-11-04 21:16:18 +0100  Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>

	* configure.ac:
	* ext/libav/gstavdeinterlace.c:
	  avdeinterlace: Port non-deprecated AVFilter API
	  https://bugzilla.gnome.org/show_bug.cgi?id=757498

2016-01-16 11:09:31 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n2.8.5

2016-01-07 17:13:29 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavdemux.c:
	* ext/libav/gstavmux.c:
	  av: canonicalise av plugin name more consistently in more places
	  Use g_strdelimit(), make sure to include comma as well, which
	  isn't included in G_STR_DELIMITERS.
	  https://bugzilla.gnome.org/show_bug.cgi?id=734451

2015-12-24 15:29:11 +0100  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.7.1 ===

2015-12-24 14:49:39 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.7.1

2015-12-24 13:06:13 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add special mapping for mono channel layouts
	  In ffmpeg this is the same as FRONT_CENTER, but we distinguish between
	  FRONT_CENTER and MONO in GStreamer. Add an explicit mapping for this special
	  case in the translations functions.
	  https://bugzilla.gnome.org/show_bug.cgi?id=759846

2015-11-27 11:16:07 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  avviddec: remove realvideo slice_offset handling
	  Handling slice_offset in avviddec is resulting in invalid memory read.
	  Since rv decoders anyways handle slice_offset, removing the same to fix
	  memory mishandlings
	  https://bugzilla.gnome.org/show_bug.cgi?id=758726

2015-12-21 12:41:02 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n2.8.4

2015-12-21 12:34:11 +0100  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  configure: Use -Bsymbolic-functions if available
	  While this is more useful for libraries, some of our plugins with multiple
	  files and some internal API can also benefit from this.

2015-12-16 09:36:25 +0100  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/inspect/plugin-libav.xml:
	  docs: update to git

2015-12-07 09:11:30 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From b319909 to 86e4663

2015-12-02 12:27:08 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* ext/libav/gstav.c:
	  Require libav provided by FFmpeg at run-time
	  Error out if system's libav* libraries are not
	  provided by FFmpeg. Libav-incompatible changes
	  were introduced to support the latter so we
	  can no longer support both.
	  https://bugzilla.gnome.org/show_bug.cgi?id=758183

2015-11-23 23:45:38 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* configure.ac:
	  Require libav provided by FFmpeg at build-time
	  Libav-incompatible changes were introduced to support
	  FFmpeg and we can no longer properly support Libav.
	  FFmpeg micro versions for libav* start at 100 (this was
	  done to differentiate from Libav builds). We use this
	  to bail at configure time if the system libav* libraries
	  are not provided by FFmpeg.
	  https://bugzilla.gnome.org/show_bug.cgi?id=758183

2015-12-01 15:12:22 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to n2.8.3

2015-11-30 19:01:41 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Make sure to use a buffer pool with the correct width/height configured on it for pushing buffers downstream
	  If downstream does not provide a (usable) pool, we would use our internal
	  pool. But the internal pool might be configured with a different width/height
	  because of padding, which then will cause problems if we push buffers from it
	  directly downstream.
	  Instead create a new pool if the width/height is different.
	  This prevents crashes with vaapisink and d3dvideosink for example.
	  Based on the debugging results and discussions with
	  Nicolas Dufresne <nicolas.dufresne@collabora.com>
	  https://bugzilla.gnome.org/show_bug.cgi?id=758344

2015-11-23 10:31:39 +0900  Vineeth T M <vineeth.tm@samsung.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Fix structure memory leak
	  gst_structure_copy already takes a reference for config_copy.
	  No need to take another reference while setting it to buffer pool
	  https://bugzilla.gnome.org/show_bug.cgi?id=758512

2015-11-20 10:48:47 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* ext/libav/gstavvidenc.c:
	  Remove unnecessary NULL checks before g_free()
	  g_free() is NULL-safe
	  (Includes unrelated formatting change to go through
	  indent checker commit hook)

2015-11-12 10:44:25 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to n2.8.2

2015-11-07 12:11:57 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Don't fallback on allocation failure
	  Allocation should keep working, falling back causes the stride to
	  change which is not supported in direct rendering.
	  https://bugzilla.gnome.org/show_bug.cgi?id=756028

2015-11-02 10:00:55 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Fix frame memory leak
	  The frame being passed to handle_frame should be unref'ed in all cases
	  https://bugzilla.gnome.org/show_bug.cgi?id=757453

2015-11-02 10:20:02 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* ext/libav/gstavdemux.c:
	  avdemux: Fix string memory leaks
	  https://bugzilla.gnome.org/show_bug.cgi?id=757454

2015-10-26 19:54:10 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/libav/gstavviddec.c:
	  avviddec: _drain and _finish need slightly different handling
	  ... since they handle separate cases in video decoder with different requirements.
	  Consider e.g. x264enc ! rtph264pay ! identity drop-probability=0.1 ! rtph264depay
	  to illustrate a need for such separation.

2015-10-21 14:37:05 +0100  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From b99800a to b319909

2015-10-20 17:29:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Use new GST_ENABLE_EXTRA_CHECKS #define
	  https://bugzilla.gnome.org/show_bug.cgi?id=756870

2015-10-21 14:28:34 +0300  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 9aed1d7 to b99800a

2015-10-16 18:52:57 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Fix bufferpool config double free by taking a copy as needed
	  Also free the config in two code paths where we leaked it before.

2015-10-14 10:18:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to n2.8.1

2015-10-09 21:22:12 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: add jpeg2000 decoder mapping
	  Map the 3 possible jpeg2000 caps to JPEG2000 codec id

2015-10-03 18:25:35 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Don't allocate dummy codec data anymore, it causes crashes nowadays
	  Multithreaded encoders are going to free this dummy codec data twice, e.g.
	  with this pipeline
	  gst-launch-1.0 videotestsrc num-buffers=40 ! \
	  videoconvert ! avenc_mjpeg ! fakesink

2015-10-03 18:14:05 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Pass the correct user_data to gst_buffer_new_wrapped_full()
	  Fixes crash with e.g.
	  gst-launch-1.0 videotestsrc num-buffers=40 ! \
	  videoconvert ! avenc_huffyuv ! fakesink

2015-10-02 23:02:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavutils.c:
	* ext/libav/gstavutils.h:
	  libav: G_CONST_RETURN is deprecated since GLib 2.30

2015-10-02 22:26:36 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Add configure check for GLib for consistency with other modules

2015-10-02 11:49:35 +0100  Luis de Bethencourt <luisbg@osg.samsung.com>

	* ext/libav/gstavviddec.c:
	  avviddec: only free config when pool doesn't take ownership
	  Since gst_buffer_pool_set_config() takes ownership of the config structure,
	  it is only necessary to free the structure before using it when the true
	  branch of if (gst_buffer_pool_config_validate_params) hasn't run.
	  gst_buffer_pool_set_config() always takes ownership of the structure
	  regardless of success or failure. Which means the return, checked with
	  if (!working_pool), has no relation to the state of the structure.

2015-08-28 15:15:39 +0100  Luis de Bethencourt <luis@debethencourt.com>

	* ext/libav/gstavviddec.c:
	  avviddec: fix memory leak
	  Free config before overwriting.
	  CID #1320708

2015-09-25 23:51:15 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.6.0 ===

2015-09-25 23:32:21 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.6.0

=== release 1.5.91 ===

2015-09-18 20:10:32 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.5.91

2015-08-28 09:38:53 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavviddec.c:
	  avvidec: increase default alignment to 32 bytes
	  Change default alignment from 16 to 32 bytes, which fixes crashes
	  when decoding H.265 using AVX2-based decoder code paths and when
	  using ximagesink/glimagesink.
	  https://bugzilla.gnome.org/show_bug.cgi?id=754120

2015-09-11 23:19:21 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavviddec.c:
	  avvideodec: ensure required mem alignment fixing avdec_h265 crashes with ximagesink/glimagesink
	  Make sure the alignment requirement in GstAllocationParams
	  matches the GstVideoAlignment requirements. This fixes
	  issues with avdec_h265 crashing in the avx2 code path when
	  used with playbin and ximagesink/glimagesink as videosink.
	  The internal video pool would allocate buffers with an
	  alignment of 15 even though GstVideoAlignment specified
	  a stride_align requirement of 31 (which comes from ffmpeg).
	  https://bugzilla.gnome.org/show_bug.cgi?id=754120

2015-09-12 14:06:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to ffmpeg n2.8
	  https://bugzilla.gnome.org/show_bug.cgi?id=754920

2015-07-30 01:24:54 +1000  Jan Schmidt <jan@centricular.com>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavvidenc.c:
	  avvid/audenc: Set some tags in the output for downstream's info
	  Add the codec name and bitrate into the output for informational
	  purposes. Bitrate in particular is now used by flvmux to set
	  videodatarate and audiodatarate in the resulting stream

2015-08-20 08:02:11 -0700  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  avviddec: Fix pool reallocation logic
	  Some check where incorect and also unsafe. The only reliable information
	  in get_buffer2 is the picture width/height really. The side effect is
	  that the width/height of the internal pool endup padded, so when we
	  switch we also need to switch to the a new width/height, hence we save
	  the pool info.
	  https://bugzilla.gnome.org/show_bug.cgi?id=753869

=== release 1.5.90 ===

2015-08-19 14:12:35 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/gst-libav-plugins.interfaces:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.5.90

2015-08-16 19:08:16 +0200  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  aviddec: Re-enable direct rendering
	  This is achieved by using a tempory internal pool. We can then switch to a
	  downstream pool if the downstream pool buffer have matching strides.
	  https://bugzilla.gnome.org/show_bug.cgi?id=752802

2015-08-17 04:36:39 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: use template subset check for accept-caps
	  It is faster than doing a query that propagates downstream and
	  should be enough

2015-08-17 04:35:41 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: use pad template caps for accept-caps
	  use template subset check for accept-caps
	  It is faster than doing a query that propagates downstream and
	  should be enough

2015-08-16 14:14:27 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: remove useless getcaps method
	  It just calls the exact same function as the default handler

2015-08-16 14:13:05 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: remove useless getcaps method
	  It just calls the exact same function as the default handler

2015-08-15 07:30:26 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/libav/gstavauddec.c:
	  avauddec: let audiodecoder call the default pad query handler
	  Avoids repeating the same handling in many decoders

2015-08-15 07:18:07 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/libav/gstavviddec.c:
	  avviddec: let videodecoder call the default pad query handler
	  Avoids repeating the same handling in many decoders

2015-08-15 12:51:19 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to n2.7.2

2015-08-14 08:22:39 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/libav/gstavviddec.c:
	  avviddec: use template caps intersection for accept-caps
	  Avoid doing downstream caps queries when accept-caps should just
	  do a shallow caps check on the element itself
	  https://bugzilla.gnome.org/show_bug.cgi?id=753623

2015-08-14 08:21:51 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/libav/gstavauddec.c:
	  avauddec: use template caps intersection for accept-caps
	  Avoid doing downstream caps queries when accept-caps should just
	  do a shallow caps check on the element itself
	  https://bugzilla.gnome.org/show_bug.cgi?id=753623

2015-07-30 23:07:39 +1000  Jan Schmidt <jan@centricular.com>

	* ext/libav/gstavdemux.c:
	  Map ffmpeg metadata to GStreamer tags
	  Update to the metadata API ffmpeg has had in
	  place for a long time now, and reenable output
	  of GStreamer tags from the demuxer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=566605

2015-07-28 17:54:23 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Remove unused force parameter
	  This parameter has been always false for a long time.

2015-08-03 21:40:12 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Use caps-like size in get_buffer2()
	  The size in the AVFrame in get_buffer2 don't match the output size,
	  instead they match ffmpeg's memory requirements, so we can't compare
	  them from the values of the output AVFrame. Those are comparable to
	  the values in the passed AVCodecContext.

2015-08-03 21:02:37 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Reset current_dr on close and when not chosing it
	  https://bugzilla.gnome.org/show_bug.cgi?id=753189

2015-07-28 16:16:10 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Disable direct rendering before a frame has been produces
	  ffmpeg doesn't provide the final's image width & height in the get_buffer2()
	  callback, so it's not possible to create an output state for GstVideoDecoder
	  at this stage. So only try to do direct rendering if the buffer pool has already
	  been negotiated based on the final decoded size.
	  This partially reverts the effects of 2e621f8db
	  https://bugzilla.gnome.org/show_bug.cgi?id=752802

2015-07-28 11:19:52 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Revert "For static builds, add the ffmpeg library directories to the linker flags"
	  This reverts commit ac3437153dc6cb3d82cdda0d1f60ffc5600fdf67.
	  Doesn't actually make sense as it will put the (uninstalled) library paths
	  into the installed .la files. How does this all work?

2015-07-28 11:02:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  For static builds, add the ffmpeg library directories to the linker flags

2015-07-27 18:49:49 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Get code out of loop
	  Code was executed only on the first iteration, so just pull it out
	  of the loop entirely. This makes it clear it has nothing to do with the loop.

2015-07-27 18:44:53 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Only create the AVBuffer once the stride is validated
	  If it is created earlier and the stride is invalid, then the frame
	  will be freed and it won't be possible to use it in the fallback path.
	  Not doing this causes a segfault because it will try to use
	  already freed memory.

2015-07-27 15:29:49 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Re-enable direct rendering

2015-07-25 02:54:20 -0400  Olivier Crete <olivier.crete@collabora.com>

	* ext/libav/gstavauddec.c:
	  avauddec: Read channels from the channels field
	  If there is no layout, just read the channel count from the
	  channels field.
	  https://bugzilla.gnome.org/show_bug.cgi?id=752186

2015-07-23 19:15:43 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Ignore negotiation error on shutdown
	  https://bugzilla.gnome.org/show_bug.cgi?id=752800

2015-07-25 03:05:25 -0400  Olivier Crête <olivier.crete@ocrete.ca>

	* ext/libav/gstavauddec.c:
	  avauddec: Access field using accessors
	  Those fields are documented to only be safe to access using
	  accessors as their position is not part of the ABI.

2015-07-22 09:44:27 +0100  James Smith <smithjd15@gmail.com>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavdemux.c:
	  Add support for musepack (mpc) sv8 audio
	  https://bugzilla.gnome.org/show_bug.cgi?id=732682

2015-07-16 18:17:05 +0900  Vineeth T M <vineeth.tm@samsung.com>

	* ext/libav/gstavviddec.c:
	  avviddec: fix slice_offset memory leak
	  In case of real videos, slice_offset is being allocated,
	  but the same is not being freed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=752404

2015-07-16 17:24:48 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-libav.doap:
	  Update mailing list in doap file

2015-07-07 17:52:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Disable iconv support to fix Windows build
	  It's needed only for subtitle charset conversion, and we don't
	  use the ffmpeg subtitle support anyway.
	  Also disable d3d11va and dxva2 support, we don't use the hardware
	  codec support.

2015-07-03 21:59:42 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From f74b2df to 9aed1d7

2015-07-02 15:44:45 +0200  Heinrich Fink <hfink@toolsonair.com>

	* configure.ac:
	  Fix OSX build: Explicitly disable VDA h264 decoder
	  VideoDecodeAcceleration framework is deprecated in 10.11, and currently
	  cuases linker errors when compiling on OSX. Oddly, --disable-hwaccels
	  did not also disable h264_vda already.
	  https://bugzilla.gnome.org/show_bug.cgi?id=751838

2015-07-01 22:40:02 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	* ext/libav/gstav.c:
	* ext/libswscale/gstffmpegscale.c:
	  Make the LGPL build the default and require --enable-gpl to build a GPL licensed version

2015-07-01 22:11:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavmux.c:
	  avmux: Blacklist some subtitle and adaptive streaming muxers

2015-06-30 12:05:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* .gitmodules:
	* configure.ac:
	* ext/libav/Makefile.am:
	* gst-libs/ext/libav:
	  Switch from libav v11.4 to ffmpeg n2.7.1
	  ffmpeg seems to be the one of the two forks, which is most widely used by
	  Linux distributions and in general. Also Google is using it for e.g. Chrome
	  and has engineers working on finding and fixing security issues in it.
	  https://bugzilla.gnome.org/show_bug.cgi?id=751607

2015-06-30 19:59:54 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Remember how many samples the codec consumed for telling the base class

2015-06-30 19:18:53 +0200  Thomas Bluemel <tbluemel@control4.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavauddec.h:
	  avauddec: Ensure input buffers have FF_INPUT_BUFFER_PADDING_SIZE padding, which is required by avcodec_decode_audio4 ()

2015-06-29 13:29:05 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavmux.c:
	  avmux: Ignore stream_segment,ssegment muxer that is provided by ffmpeg
	  The comma confuses our code, e.g. it's not a valid element name or structure
	  name.

2015-06-28 16:54:35 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Fix compiler warning
	  gstavvidenc.c: In function 'gst_ffmpegvidenc_flush_buffers':
	  gstavvidenc.c:733:7: error: ISO C90 forbids mixed declarations and code [-Werror=declaration-after-statement]
	  GstFFMpegVidEncClass *oclass =
	  ^
	  cc1: all warnings being treated as errors

2015-06-28 16:35:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Set AVFrame flags for interlacing per frame and not in set_format()
	  They will get overridden by av_frame_unref() with the defaults.

2015-06-28 16:32:02 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavvidenc.c:
	  av{aud,vid}enc: Create wrapped output buffers with GST_MEMORY_FLAG_READONLY
	  libav might still have references to the buffers itself and uses a writability
	  system similar to ours based on reference counts.

2015-06-28 16:30:54 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Properly wrap and free the output AVPackets generated during draining

2015-06-28 16:27:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Make sure to keep input data alive until libav is done with it

2015-06-28 16:21:33 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Make sure to keep input data alive until libav is done with it

2015-06-28 15:37:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavaudenc.h:
	* ext/libav/gstavvidenc.c:
	  av{aud,vid}enc: Stop using deprecated AVFrame APIs

2015-06-28 12:33:49 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: Remove custom buffer allocation function
	  libav always uses planar audio formats nowadays, not much use in
	  us trying to allocate anything here until we add support for planar
	  aka non-interleaved audio formats at least in audioconvert.

2015-06-27 20:25:36 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavauddec.h:
	  avauddec: Use undeprecated AVFrame API

2015-06-27 20:25:18 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Free frame before the codec is freed
	  Who knows, maybe freeing the frame calls cleanup inside the codec.

2015-06-27 20:15:20 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Use undeprecated AVFrame API and unref frame once we're done with it

2015-06-27 20:08:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: Negotiate based on the AVFrame instead of just the AVCodecContext

2015-06-26 20:38:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Use the new get_buffer2() API instead of the deprecated APIs
	  And do the frame reference counting by adding AVBufferRefs to the frame.

2015-06-26 20:20:14 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Also proxy the data/size pointers for our wrapper AVBufferRef

2015-06-26 17:30:25 +0200  Wim Taymans <wtaymans@redhat.com>

	* ext/libav/gstavcodecmap.c:
	  codecmap: add vp9 mapping

2015-06-26 16:50:16 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Wrap the original AVBufferRef in our own buffer for the destroy function
	  Just adding a dummy buffer at the very end might not be enough as there
	  already might be too many buffers.

2015-06-26 15:38:38 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: libav will already copy the reordered_opaque pointer for us
	  If we do it ourselves, it might get the wrong value if our assumptions are
	  broken by libav at a later time.

2015-06-26 15:34:30 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  avviddec: Negotiate based on the AVFrame information, not the context information
	  The context contains the information from the latest input frame, we're
	  however interested in the information from the latest output frame. As we have
	  to negotiate for the buffer that is about to come next.
	  This should fix some crashes that happened when both information got out of
	  sync. If that happens now, we will do fallback allocation until the output
	  is renegotiated too.
	  https://bugzilla.gnome.org/show_bug.cgi?id=750865

2015-06-25 00:04:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.5.2 ===

2015-06-24 23:40:51 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.5.2

2015-06-16 17:50:03 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 6015d26 to f74b2df

2015-06-04 19:11:02 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/gstavcodecmap.c:
	  avcodec: Check against codec format list
	  There exist few formats (deprecated though) used by mjpeg decoder
	  and encoder that maps to the same GStreamer format. To properly
	  pick the right format, also lookup each Codec list before accepting
	  the format. This fixes error when trying to use mjpeg encoder.
	  Note that this may results in faded colors. In fact, these special
	  format are meant to specify that this is full range YUV. Colorimetry
	  in gst-libav is not yet implemented, hence is ignored in general. So
	  I think it's fine to first fix the issue before addressing the missing
	  feature.
	  https://bugzilla.gnome.org/show_bug.cgi?id=750398

2014-10-07 16:33:07 +1100  Jan Schmidt <jan@centricular.com>

	* ext/libav/gstavviddec.c:
	  viddec: Replicate any 3D/multiview info from input caps onto output

2015-06-09 15:41:46 +0200  Stefan Sauer <ensonic@users.sf.net>

	* Makefile.am:
	  cruft: add the obsolete tmpl dir to cruft-dirs

2015-06-09 11:30:44 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From d9a3353 to 6015d26

2015-06-08 23:08:20 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From d37af32 to d9a3353

2015-06-07 23:06:58 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 21ba2e5 to d37af32

2015-06-07 17:32:20 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From c408583 to 21ba2e5

2015-06-07 17:03:46 +0200  Stefan Sauer <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	  docs: remove variables that we define in the snippet from common
	  This is syncing our Makefile.am with upstream gtkdoc.

2015-06-07 17:16:38 +0200  Stefan Sauer <ensonic@users.sf.net>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From c8fb372 to c408583

2015-06-07 16:44:49 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.5.1 ===

2015-06-07 11:10:59 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/gst-libav-plugins.interfaces:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.5.1

2015-06-05 11:57:37 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Release stream lock while calling avcodec_decode_video2()
	  It might call back into us from another thread and try to take the stream lock
	  again, e.g. to allocate a buffer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=726020

2015-06-02 20:48:33 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Post error message before returning a flow error
	  This is required.

2015-06-02 16:32:55 +0200  Edward Hervey <edward@centricular.com>

	* tests/check/generic/libavcodec-locking.c:
	* tests/check/generic/plugin-test.c:
	  check: Use GST_CHECK_MAIN () macro everywhere
	  Makes source code smaller, and ensures we go through common initialization
	  path (like the one that sets up XML unit test output ...)

2015-06-02 12:32:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	  Make top-level 'check-torture' and 'check-valgrind' targets functional

2014-09-12 09:44:16 +0200  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Use video/x-cavs mime type instead of video/x-gst-av-cavs
	  More generic mime-type which can be used by other decoders than libav.
	  https://bugzilla.gnome.org/show_bug.cgi?id=727731

2015-03-25 10:24:52 +0100  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* configure.ac:
	  configure: don't disable Chinese AVS (cavs) decoder
	  It enables GStreamer to decode Chinese AVS video streams.
	  Also fix indentation.
	  https://bugzilla.gnome.org/show_bug.cgi?id=727731

2015-06-02 09:09:09 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddev: Unref decoded AVFrame after we're done with it
	  Otherwise we might leak some memory, like all compressed data when using
	  avdec_ac3.

2015-05-31 21:32:07 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to v11.4

2015-04-23 17:12:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	  Update .gitignore

2015-04-23 17:09:36 +0100  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	  configure: bump automake requirement to 1.14 and autoconf to 2.69
	  This is only required for builds from git, people can still
	  build tarballs if they only have older autotools.
	  https://bugzilla.gnome.org//show_bug.cgi?id=747624

2015-04-03 18:58:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From bc76a8b to c8fb372

2015-03-29 14:01:50 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/libav/gstavdemux.c:
	  avdemux: resurrect some flow return handling
	  https://bugzilla.gnome.org/show_bug.cgi?id=744572

2015-03-14 11:26:16 +0000  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to v11.3

2015-03-10 09:37:19 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavdemux.c:
	  avdemux: fix double semicolon

2015-03-10 10:18:53 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  libav: Add support for 10 bit planar AYUV formats

2015-03-10 10:17:45 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavdeinterlace.c:
	* ext/libav/gstavmux.c:
	* ext/libav/gstavscale.c:
	* ext/libav/gstavutils.c:
	* ext/libav/gstavvidenc.c:
	  libav: Change from deprecated PIX_FMT_* to AV_PIX_FMT_*

2015-03-09 22:02:38 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Don't copy padding if handling a frame failed
	  We will return an error right afterwards anyway.

2015-03-09 22:02:19 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: If a flow return during draining is not OK, don't drain any further

2015-03-09 22:01:43 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Error out if we try to allocate a buffer without being negotiated
	  Otherwise we just run into assertions because we should've errored out
	  already.

2015-03-05 14:25:16 +0000  Luis de Bethencourt <luis.bg@samsung.com>

	* ext/libav/gstavdemux.c:
	  avdemux: remove duplicate goto block

2015-03-05 14:23:44 +0000  Luis de Bethencourt <luis.bg@samsung.com>

	* ext/libav/gstavdemux.c:
	  avdemux: check AVIO Context has been allocated

2015-02-08 05:35:19 +1100  Jan Schmidt <jan@centricular.com>

	* ext/libav/gstavviddec.c:
	  Add drain() vfunc implementation that does the same as finish()
	  finish() is called at EOS, drain() is called at all other times
	  when the decoder should be drained out. gst-libav decoder behaviour
	  is the same in both cases, so use the same implementation
	  See https://bugzilla.gnome.org/show_bug.cgi?id=734617

2014-12-11 21:07:44 +1100  Jan Schmidt <jan@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Implement SKIP and new SKIP_KEY_UNITS_ONLY flags
	  Respect any skip flags set in the incoming segment.
	  https://bugzilla.gnome.org/show_bug.cgi?id=735666

2015-01-17 22:13:36 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to v11.2

2015-01-12 16:13:15 +0100  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From f2c6b95 to bc76a8b

2014-12-18 10:56:03 +0100  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From ef1ffdc to f2c6b95

2014-12-12 09:57:35 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to v11.1

2014-11-27 20:44:31 +0100  Aurélien Zanelli <aurelien.zanelli@darkosphere.fr>

	* ext/libav/gstav.c:
	  av: use GMutex instead of deprecated GStaticMutex
	  https://bugzilla.gnome.org/show_bug.cgi?id=740822

2014-11-27 17:12:26 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 7bb2bce to ef1ffdc

2014-11-16 16:11:53 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* ext/libav/gstavviddec.c:
	  videodec: Ensure update_pool is initialized
	  This was probably not causing any issues, but we would randomly
	  and needlessly update the pool in the query due to uninitialized
	  variable.

2014-10-27 18:00:07 +0100  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 84d06cd to 7bb2bce

2014-10-21 13:03:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From a8c8939 to 84d06cd

2014-10-21 12:59:52 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 36388a1 to a8c8939

2014-09-22 14:00:07 -0700  Aleix Conchillo Flaqué <aconchillo@gmail.com>

	* ext/libav/gstavauddec.c:
	  avauddec: drain samples until libav doesn't have more data
	  We use have_data (that comes from libav), instead of only trying 10
	  times, to know if there are more samples available. The old code was
	  machine dependent as different amount of samples could be decoded by
	  different type of (more powerful) machines, and 10 times was not always
	  sufficient.
	  https://bugzilla.gnome.org/show_bug.cgi?id=737144

2014-09-15 22:50:05 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to v11

2014-09-11 19:37:33 -0400  IBM Thinklab <oblong@wall-center.(none)>

	* ext/libav/gstavviddec.c:
	  avviddec: drain frames until libav doesn't have more data
	  We use have_data (that comes from libav), instead of only trying 10 times,
	  to know if there are more frames available. The old code was machine
	  dependant as different amount of frames could be decoded by different
	  type of (more powerful) machines, and 10 times was not always sufficient.
	  https://bugzilla.gnome.org/show_bug.cgi?id=736515

2014-08-27 12:39:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to v11_beta1

2014-08-12 16:17:11 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	* ext/libav/gstavcfg.c:
	  libav: Minor changes to build properly with v11alpha1

2014-08-12 15:54:04 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to v11alpha1

2014-08-08 20:04:20 +1000  Jan Schmidt <jan@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: After draining frames, flush the libav decoder
	  Makes sure that there's really nothing stale left in the decoder
	  after draining.
	  https://bugzilla.gnome.org/show_bug.cgi?id=734661

2014-08-11 14:16:55 +0200  Aleix Conchillo Flaqué <aleix@oblong.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Don't lose frames on EOS
	  have_data is not propagated from gst_ffmpegviddec_video_frame to
	  gst_ffmpegviddec_frame. have_data is only set to 1 in
	  gst_ffmpegviddec_frame if a frame pointer is passed. However, this is
	  not true while draining, which means that have_data from libav will be
	  ignored.
	  https://bugzilla.gnome.org/show_bug.cgi?id=734608

2014-08-06 10:14:17 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ext/libav/gstavauddec.c:
	  avauddec: Bump the rank of avdec_aac so it is used by default
	  https://bugzilla.gnome.org/show_bug.cgi?id=676131

2014-08-04 15:06:50 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to v10.3

2014-08-01 10:41:28 +0200  Edward Hervey <edward@collabora.com>

	* Makefile.am:
	* common:
	  Makefile: Add usage of build-checks step
	  Allows building checks without running them

2014-07-19 18:04:49 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.4.0 ===

2014-07-19 17:49:04 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.4.0

=== release 1.3.91 ===

2014-07-11 11:49:03 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.3.91

=== release 1.3.90 ===

2014-06-28 11:44:41 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.3.90

2014-06-28 09:59:49 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to v10.2

2014-06-22 19:36:14 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.3.3 ===

2014-06-22 19:27:47 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.3.3

2014-06-21 18:29:32 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Make sure to fixate caps before setting them on the pad
	  After the recent addition of negotiation support for MPEG4 part 2
	  profiles via caps it can happen that the generated caps at this
	  point still contain multiple profiles. For example if downstream
	  does not care. Just fixate anything here and use those caps.

2014-06-06 16:52:28 +0200  Wim Taymans <wtaymans@redhat.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: place supported profiles in mpeg4 caps
	  Place the supported profiles in the srcpad caps of the mpeg4 encoder.

2014-06-06 16:25:43 +0200  Wim Taymans <wtaymans@redhat.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: remove deprecated media types
	  Remove x-xvid and x-3ivx. The last place where they were used are
	  in the srcpad caps of the decoder but since the decoder will never
	  actually output those caps we can safely remove them.

2014-06-06 16:19:07 +0200  Wim Taymans <wtaymans@redhat.com>

	* ext/libav/gstavcodecmap.c:
	  codecmap: don't expose more deprecated media types
	  x-xvid is deprecated, we don't want to expose it on the encoder, just
	  leave it only exposed on the decoder.

2014-06-06 16:16:27 +0200  Wim Taymans <wtaymans@redhat.com>

	* ext/libav/gstavcodecmap.c:
	  Revert "avcodecmap: do more reverse mapping of MPEG4"
	  This reverts commit e066785ad05f9119e3c1eded46260bcabd556b4d.
	  x-xvid and x-3ivx are removed, we don't want to expose them again.

2014-06-06 12:40:57 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	  avaudenc: add a comment about using -1 in _finish_frame
	  See https://bugzilla.gnome.org/show_bug.cgi?id=729268

2014-04-30 15:30:45 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	  avaudenc: avoid using wrong number of samples
	  If audio_in is NULL, we'll send a NULL frame to libav, to flush
	  the codec. In that case, we won't know how many samples the codec
	  will have used, so we use -1 (for don't know) when letting the
	  base class know about the buffer.
	  Coverity 1195177

2014-06-02 09:27:17 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Fix indention and "bracketing" of goto labels
	  Should fix CID 1219865, which looks like the code analysis
	  algorithm was just confused.

2014-05-29 18:24:20 +0200  Wim Taymans <wtaymans@redhat.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: handle simple and advanced-simple profile in MPEG4
	  Always enable 4MV flag for MPEG4
	  Pare the profile property and enable more features for advanced-simple
	  profile.
	  video/x-xvid is advanced-simple profile so enable more features.
	  We now also support encoding of video/x-xvid so add this to the caps.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=651320

2014-05-29 18:16:42 +0200  Wim Taymans <wtaymans@redhat.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: do all negotiation before opening the decoder
	  We first want to complete negotiation before opening the encoder.
	  Negotiation might configure flags and other things that might be needed
	  when opening the encoder.

2014-05-29 17:00:23 +0200  Wim Taymans <wtaymans@redhat.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: do more reverse mapping of MPEG4
	  We previously mapped some caps to MPEG4 and codec_tag so we can use the
	  codec_tag again to map to the original caps.

2014-05-26 16:04:50 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* ext/libav/gstavdemux.c:
	  avdemux: use GstFlowCombiner
	  To remove replicated code from all demuxers to a single standard way
	  of aggregating flow returns

2014-05-26 16:02:11 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* ext/libav/gstavdemux.c:
	  avdemux: remove legacy check from pad-alloc times
	  The 'no_buffer' error case is from the 0.10 era when a pad_alloc was
	  made before decoding the data and avdemuxer could check again the
	  flow returns for a not-linked. This isn't a valid use case anymore in
	  1.0

2014-05-21 13:23:36 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.3.2 ===

2014-05-21 13:06:36 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* common:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/inspect-build.stamp:
	* docs/plugins/inspect.stamp:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.3.2

2014-05-21 10:53:31 +0200  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 211fa5f to 1f5d3c3

2014-03-17 22:26:52 -0700  Gavin Hurlbut <gjhurlbu@gmail.com>

	* ext/libav/gstavvidenc.c:
	* ext/libav/gstavvidenc.h:
	  avvidenc: Add thread-count parameter for libav encoders
	  As some libav encoders (such as MPEG2) use a thread_count parameter to control
	  how many threads to use, and since it was always being set to 0 (which uses
	  the default), suboptimal threading can sometimes be chosen.  This extends the
	  libav encoders to allow for a max-threads parameter which is passed into
	  the internal structure to control this knob if applicable to the encoder.
	  https://bugzilla.gnome.org/show_bug.cgi?id=726612

2014-05-13 20:17:17 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ext/libav/gstavviddec.c:
	  gstavviddec: Sanitize and fix qos handling.
	  gst_video_decoder_get_max_decding_time doesn't return a GstClockTime
	  but a GstClockTimeDiff, and thus one needs to compare it against
	  G_MAXINT_64.
	  The returning of a boolean and the extra subsequent code in _video_frame
	  was uselessly complicated.
	  The previous behaviour led to artefacts when the decoder tried to
	  hurry up.
	  https://bugzilla.gnome.org/show_bug.cgi?id=730075

2014-05-14 10:19:44 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  Update to libav 10.1

2014-03-27 18:53:53 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/gstavviddec.c:
	  videodec: Don't use non-growable pool
	  As we don't know how many output buffers we need to operate, we need to
	  avoid pool that can't grow. Otherwise the pipeline may stall, waiting
	  for buffers. For now, we require it to be able to grow to at least
	  32 buffers, which I think is a fair amount of buffers for decoders.
	  https://bugzilla.gnome.org/show_bug.cgi?id=726299

2014-05-03 20:48:40 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.3.1 ===

2014-05-03 18:34:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/inspect/plugin-libav.xml:
	* gst-libav.doap:
	  Release 1.3.1

2014-05-03 10:17:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From bcb1518 to 211fa5f

2014-04-30 16:14:50 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	  libav: avoid dividing by zero on insane fps/par
	  While there, fix mixup in num/den with par (copied from fps,
	  apparently, and fps inverts fps to time base).
	  Coverity 1139696

2014-04-30 15:59:04 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/libav/gstavvidenc.c:
	  avvidenc: guard against division by zero
	  and other nonsensical time base values while we're at it.
	  Coverity 1139699

2014-04-29 09:13:44 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Fix leak of AVBufferRef
	  AVPacket contains AVBufferRef which may leak unless unreffed properly.
	  https://bugzilla.gnome.org/show_bug.cgi?id=726814

2014-03-21 10:10:14 +0100  Stian Selnes <stian@pexip.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Fix leak of AVBufferRef
	  AVPacket contains AVBufferRef which may leak unless unreffed properly.
	  https://bugzilla.gnome.org/show_bug.cgi?id=726814

2014-04-14 13:37:02 +0200  Edward Hervey <bilboed@bilboed.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Fix compile without gst debug
	  We can just re-use the encoder variable

2014-04-08 08:05:24 +0200  Edward Hervey <edward@collabora.com>

	* ext/libav/gstavdemux.c:
	  avdemux: Remove unused variable
	  CID #1139943

2014-04-08 08:00:55 +0200  Edward Hervey <edward@collabora.com>

	* ext/libav/gstavcodecmap.c:
	  codecmap: Add missing break
	  CID #1139752

2014-04-06 09:02:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add mapping for Apple Intermediate Codec
	  https://bugzilla.gnome.org/show_bug.cgi?id=727673

2014-03-29 10:45:16 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  Update to libav v10

2014-03-22 17:10:24 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/libav/gstavvidenc.c:
	  avvidenc: discard input frame upon encoding error

2014-03-05 17:40:13 +0100  Christian Fredrik Kalager Schaller <uraeus@linuxrising.org>

	* gst-libav.spec.in:
	  add docs directory to spec file

2014-02-28 09:36:02 +0100  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From fe1672e to bcb1518

2014-02-27 21:49:42 +0100  Stefan Sauer <ensonic@users.sf.net>

	* docs/Makefile.am:
	  docs: also reactivate make dist for the docs

2014-02-26 22:14:28 +0100  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 1a07da9 to fe1672e

2014-02-26 22:05:23 +0100  Stefan Sauer <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-libav-plugins-docs.sgml:
	* docs/plugins/gst-libav-plugins-sections.txt:
	* docs/plugins/gst-libav-plugins.hierarchy:
	  docs: try to make the generated docs more useful
	  Generate the section.txt file. Update the -docs.sgml file with the new sections.
	  If we want to actually see the baseclasses, we should define them with a _get_type() function
	  and have the wrapped types subclass them.

2014-02-26 19:13:01 +0100  Stefan Sauer <ensonic@users.sf.net>

	* docs/plugins/inspect/plugin-libav.xml:
	  docs: add the inspected data
	  Not even this file was previously in the repo.

2014-02-26 12:01:52 +0100  Stefan Sauer <ensonic@users.sf.net>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-libav-plugins-docs.sgml:
	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/gst-libav-plugins.interfaces:
	* docs/plugins/gst-libav-plugins.prerequisites:
	  docs: make the docs build again
	  They are still bad, but if we don't want to have them, we should rather remove this totally.

2014-02-26 11:52:07 +0100  Stefan Sauer <ensonic@users.sf.net>

	* configure.ac:
	  configure: add missing docs/plugins/Makefile

2014-02-26 11:40:08 +0100  Stefan Sauer <ensonic@users.sf.net>

	* docs/Makefile.am:
	  docs: install prebuilt plugin docs if gtk-doc is disabled
	  Sync to the Makefile.am from gst-plugin-base where it is done right.
	  Fixes #725034

2014-02-23 11:40:14 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/libav/gstavvidenc.c:
	  avvidenc: make all properties work again
	  ... as previously broken due to additional compliance property
	  (see 13ffed87b1597fa60ccee293f71c3993ec59d1b2).

2014-02-22 21:54:08 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/libav/gstavmux.c:
	  avmux: stream-start and segment event before data-flow

2014-02-20 20:39:29 +0100  Thijs Vermeir <thijsvermeir@gmail.com>

	* ext/libav/gstavviddec.c:
	  avviddec: rename hevc decoder element to h265 for consistency
	  We use h265 for the parser, typefinder, caps, etc. everywhere.
	  https://bugzilla.gnome.org/show_bug.cgi?id=724823

2014-02-21 13:18:47 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavviddec.c:
	  avvidec: don't crash on EOS when no buffers have been received
	  Fixes crash on EOS when no buffers have been received for some
	  reason, e.g. because the parser didn't output any.
	  fakesrc num-buffers=0 format=time ! avdec_h264 ! fakesink

2014-02-21 09:28:16 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to v10 beta1

2014-02-20 17:25:35 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: fix audio encoder flushing according to libav docs
	  * @param[in] frame AVFrame containing the raw audio data to be encoded.
	  *                  May be NULL when flushing an encoder that has the
	  *                  CODEC_CAP_DELAY capability set.
	  The AVFrame itself should be null, not the frame.data pointer
	  https://bugzilla.gnome.org/show_bug.cgi?id=724536

2014-02-16 15:58:15 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/ext/Makefile.am:
	  gst-libs: handle make dist for out-of-tree build

2014-02-04 18:17:32 +0200  Dmitry Melnichenko <dmitry.m@samsung.com>

	* ext/libav/gstavmux.c:
	  avmux: Fix invalid address passing to av_opt_set_int()
	  https://bugzilla.gnome.org/show_bug.cgi?id=723615

2014-02-01 14:40:24 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/libav/gstavvidenc.c:
	  avvidenc: avoid busy-looping when flushing frames
	  ... such as when receiving EOS event.

2014-01-30 10:45:05 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From d48bed3 to 1a07da9

2014-01-24 21:58:35 +0100  Sjoerd Simons <sjoerd@luon.net>

	* ext/libav/gstavdemux.c:
	  avdemux: Don't go into pull mode when the sequential flag is set
	  When the scheduling query results has GST_SCHEDULING_FLAG_SEQUENTIAL set
	  in its flags don't go into pull mode to prevent over-eager seeking.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722935

2014-01-21 22:58:42 +1100  Tim 'mithro' Ansell <mithro@mithis.com>

	* ext/libav/gstavmux.c:
	  avmux: Force DV audio input format to 48kHz, 2 channels
	  libavformat only supports muxing 16bit, 48kHz stereo into DV containers.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=722672

2014-01-19 10:33:01 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to version 10_alpha2

2014-01-17 12:38:23 -0800  Aleix Conchillo Flaqué <aleix@oblong.com>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  avviddec: Add output-corrupt property
	  The output-corrupt property will set the CODEC_FLAG_OUTPUT_CORRUPT flag
	  in the codec context. The user can now decide whether libav outputs
	  corrupt frames or not.
	  Previous libav versions had this flag always set.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722453

2014-01-16 13:45:58 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: Mark frames as corrupted if libav tells us they are
	  This is currently only implemented by the h264 codec and no audio codec.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722290

2014-01-16 13:44:56 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Mark frames as corrupted if libav tells us they are
	  This is currently only implemented by the h264 codec.
	  https://bugzilla.gnome.org/show_bug.cgi?id=722290

2014-01-15 09:02:33 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavcfg.c:
	* ext/libav/gstavdeinterlace.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  gst-libav: fix context leaks
	  A AVCodecContext needs cleaning up before being freed.
	  Go through all of the allocations/setups to ensure none of them
	  can leak a context or its contents.

2014-01-13 16:31:05 +0100  Wim Taymans <wtaymans@redhat.com>

	* ext/libav/gstavviddec.c:
	  avviddec: set output chroma-site
	  Use libav provided chroma-site and place it on the output caps.

2014-01-10 17:18:53 +0100  Wim Taymans <wtaymans@redhat.com>

	* ext/libav/gstavviddec.c:
	  avviddec: release buffers when not direct rendering
	  New libav will not call the release_buffer callback anymore when
	  avcodec_default_get_buffer() is called from get_buffer. Releasing of the
	  memory in a picture should now be done by registering a callback to the
	  avbuffer objects in the picture. There is some compatibility code to
	  wrap the memory we provide in get_buffer in avbuffer with a callback to
	  release_buffer but that is not done when avcodec_default_get_buffer()
	  is called.
	  Work around this by adding a dummy avbuffer object to the picture that
	  will release the frame.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=721077

2014-01-10 13:16:20 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: Give MP3 decoder a MARGINAL rank too
	  There's no reason why this decoder should not be autoplugged

2014-01-06 13:36:39 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavviddec.c:
	  av: Enable HEVC / h265 support

2014-01-06 13:02:07 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to v10_alpha1 tag

2014-01-03 15:58:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: fix regression with wmv3 video in WMVA format
	  The VC-1 decoder should handle that. Before avdec_wmv3 handled
	  it, but then we added format=WMV3 to its sink pad template
	  caps, at which point nothing handled WMVA any longer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=697665

2014-01-03 16:28:44 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	* ext/libav/gstavmux.c:
	* ext/libav/gstavutils.c:
	* ext/libav/gstavutils.h:
	  av: Update for CodecID -> AVCodecID related changes

2014-01-03 16:28:02 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavcfg.c:
	  avcfg: Update config parameters a bit to fix compilation
	  This needs a major rework and should use the new configuration
	  interface where useful.

2014-01-03 16:27:34 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavvidenc.c:
	  avenc: Stop using the removed inter_threshold field

2014-01-03 16:27:11 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avviddec rebase

2014-01-03 16:26:10 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavauddec.c:
	  avauddec: Stop using AVCODEC_MAX_AUDIO_FRAME_SIZE
	  And properly use the have_data variable. It's a boolean.

2014-01-03 16:25:39 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavdemux.c:
	  avdemux: Stop using r_frame_rate field
	  It was removed and quite meaningless anyway.
	  Use the average framerate instead.

2014-01-03 16:24:28 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Port to av_encode_video2()
	  av_encode_video() is deprecated and an ugly API anyway.

2014-01-03 16:23:26 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/ext/libav:
	  libav: Update to libav master (libav 10 API)

2013-12-27 12:06:28 +0100  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  configure.ac: Remove warning when building against a system version of libav
	  Nowadays libav has proper releases and API/ABI guarantees.
	  We're not living in last decade.

2013-12-22 22:35:12 +0000  Tim-Philipp Müller <tim@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From dbedaa0 to d48bed3

2013-12-15 21:17:26 -0800  Todd Agulnick <todd@agulnick.com>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavdeinterlace.c:
	  Some compiler warning fixes to satisfy XCode compiler
	  https://bugzilla.gnome.org/show_bug.cgi?id=720513

2013-12-07 11:35:09 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/libav/gstavviddec.c:
	  avviddec: improve buffer handling and semantics
	  ... so as to focus on providing *a* buffer rather than one (too) tied
	  to a frame, in particular allowing multiple allocations related to a frame.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=697806

2013-12-07 12:10:13 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/libav/gstavvidenc.c:
	  avvidenc: plug input_state leak

2013-12-05 11:51:27 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Use new gst_video_decoder_set_needs_format() API

2013-12-03 13:16:49 +0100  Christian Fredrik Kalager Schaller <uraeus@linuxrising.org>

	* gst-libav.spec.in:
	  Update spec file with latest changes

2013-12-02 20:21:34 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/libav/gstavviddec.c:
	  avviddec: only use upstream framerate if really specified
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=704161

2013-11-26 20:57:37 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/libav/gstavviddec.c:
	  avviddec: discard unused input frames
	  ... to avoid these piling up in list of pending frames.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=693772

2013-11-26 20:55:43 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/libav/gstavviddec.c:
	  avviddec: really release frame at proper time
	  ... by also removing it from the pending list of frames,
	  where it may still be in if it has never been submitted to _finish.
	  This could happen if is a decode-only frame, or in skipped decoding
	  situation, ...
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=693772

2013-11-05 11:21:43 +0000  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 865aa20 to dbedaa0

2013-11-04 23:20:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  avaudec: don't put bogus 0 channel-mask on output caps for mono audio

2013-10-26 09:34:30 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavaudenc.c:
	  avaudenc: post better error message if experimental codecs don't work
	  https://bugzilla.gnome.org/show_bug.cgi?id=691617

2013-10-26 09:09:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/libav/gstavcodecmap.c:
	  codecmap: use TRUE for boolean fields in caps

2013-10-15 09:28:08 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* gst-libs/ext/libav:
	  libav: Update to v9.10

2013-10-14 14:50:57 -0600  Greg Rutz <greg@gsr-tek.com>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavaudenc.h:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	* ext/libav/gstavvidenc.c:
	* ext/libav/gstavvidenc.h:
	  avenc: Add compliance property
	  Add a new property to GstFFMpegVidEnc and GstFFMpegAudEnc to supply
	  the "strict compliance" value to AVCodecContext
	  https://bugzilla.gnome.org/show_bug.cgi?id=691617

2013-10-03 15:25:30 +0100  Matthieu Bouron <matthieu.bouron@collabora.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Make avdec_mjpeg requires a parsed input
	  Actually avdec_mjpeg does not deal well with incomplete buffers and try
	  to decode incomplete frames. A parser which will also acts as
	  an accumulator needs to be inserted before it.
	  https://bugzilla.gnome.org/show_bug.cgi?id=709352

2013-10-02 13:59:04 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: gst_value_can_intersect() does not do what you would think
	  Check for uniqueness differently now.

2013-10-02 12:57:36 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Only append values to the video/audio format lists if we don't have them already

2013-10-02 12:52:35 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavviddec.c:
	  avviddec: Reset some more fields in ::stop()

2013-10-02 12:51:40 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavviddec.c:
	  avviddec: Don't believe we're negotiated if negotiation failed
	  It can happen that negotiation fails during get_buffer(), but then
	  we don't retry later and never return NOT_NEGOTIATED upstream...
	  and instead run into assertions.

2013-10-02 12:45:44 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavauddec.c:
	  avauddec: Don't believe we're negotiated if negotiation failed
	  It can happen that negotiation fails during get_buffer(), but then
	  we don't retry later and never return NOT_NEGOTIATED upstream...
	  and instead run into assertions.
	  https://bugzilla.gnome.org/show_bug.cgi?id=708769

2013-10-01 22:38:32 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavcodecmap.c:
	  avenc: Choose 25 fps if we don't have any in the caps
	  Some encoders require a non-zero framerate to be configured properly
	  and just choosing something will make them not fail completely at
	  least.
	  https://bugzilla.gnome.org/show_bug.cgi?id=708732

2013-09-23 15:19:51 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Fix boolean expression to fix uninitialized usage of variables

2013-09-23 15:08:18 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  configure: Chose right target-os for iOS

2013-09-24 18:34:20 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 6b03ba7 to 865aa20

2013-09-24 15:06:03 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  configure: Actually use 1.3.0.1 as version to make configure happy

2013-09-24 15:00:34 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  Back to development

=== release 1.2.0 ===

2013-09-24 14:42:30 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	  Release 1.2.0

2013-09-20 16:18:03 +0200  Edward Hervey <edward@collabora.com>

	* common:
	  Automatic update of common submodule
	  From b613661 to 6b03ba7

2013-09-19 18:45:20 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 74a6857 to b613661

2013-09-19 17:38:10 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 12af105 to 74a6857

2013-09-19 11:35:08 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  Back to development

=== release 1.1.90 ===

2013-09-19 10:53:46 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	  Release 1.1.90

2013-09-12 13:56:31 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  avviddec: Initialize strides with the ones of avcodec_default_get_buffer() if we ever call it
	  https://bugzilla.gnome.org/show_bug.cgi?id=704769

2013-09-12 12:41:51 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* gst-libs/ext/libav:
	  libav: Update to v9.9

2013-09-12 12:12:23 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavviddec.c:
	  avviddec: Use the correct context for negotiation
	  During get_buffer() it can happen that the main context is not
	  updated yet and only the context passed here has the correct
	  width, height, etc.

2013-09-12 12:11:29 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  avviddec: Remember initially used stride and don't allow stride changes
	  libav does not allow stride changes currently, fall back to
	  non-direct rendering here:
	  https://bugzilla.gnome.org/show_bug.cgi?id=704769
	  https://bugzilla.libav.org/show_bug.cgi?id=556

2013-09-10 21:47:55 +0200  Matej Knopp <matej.knopp@gmail.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add support for TechSmith Screen Capture 2
	  https://bugzilla.gnome.org/show_bug.cgi?id=707878

2013-08-30 11:48:51 +0100  Alex Ashley <bugzilla@ashley-family.net>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: exclude avc3 stream format from AV_CODEC_ID_H264
	  As part of the changes to support the "avc3" variant of the ISO-BMFF
	  (see bug #702004) a new stream-format has been created
	  (video/x-h264, stream-format="avc3", alignment="au") that requires
	  changes to gstavcodecmap to exclude this format because avdec_h264
	  expects the SPS and PPS to be in the codec_data.
	  Amendment 2 of ISO/IEC 14496-15 (AVC file format) is defining a new
	  structure for fragmented MP4 called "avc3". The principal difference
	  between AVC1 and AVC3 is the location of the codec initialisation data
	  (e.g. SPS, PPS). In AVC1 this data is placed in the initial MOOV box
	  (moov.trak.mdia.minf.stbl.stsd.avc1) but in AVC3 this data goes in the
	  first sample of every fragment.
	  https://bugzilla.gnome.org/show_bug.cgi?id=702004

2013-08-30 13:58:14 +0200  Josep Torra <n770galaxy@gmail.com>

	* ext/libav/gstavcodecmap.c:
	  codecmap: add mapping for MSS1 and MSS2
	  Windows Media Video Screen (WMV Screen) are video formats that
	  specilise in screencast content.

2013-08-29 16:53:28 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  libav: avcodec_close() also resets fields like the AVCodec
	  We need to reload the defaults for the codec after closing it,
	  otherwise we can't access codec information like the supported
	  sample rates and can crash.
	  https://bugzilla.gnome.org/show_bug.cgi?id=707040

2013-08-28 13:27:12 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  Back to development

=== release 1.1.4 ===

2013-08-28 13:11:19 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	  Release 1.1.4

2013-08-28 12:09:33 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  configure.ac: Fix typo

2013-08-23 09:58:30 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  configure: Disable build of dxva2 and vdpau support explicitely
	  It is enabled although we pass --disable-hwaccels apparently and
	  makes the build fail on Windows because libav looks for the d3d headers
	  in the wrong places. We can't make use of these features via libav.
	  https://bugzilla.gnome.org/show_bug.cgi?id=706601

2013-08-22 14:56:11 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  configure: Fix bz2 configure check for Windows
	  Due to function decorations on Windows AC_CHECK_LIB can't be used to check for bz2.
	  https://bugzilla.gnome.org/show_bug.cgi?id=465924

2013-08-22 14:23:12 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavdemux.c:
	  avdemux: Add support for video/x-pva
	  https://bugzilla.gnome.org/show_bug.cgi?id=158719

2013-08-21 13:40:03 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ext/libav/gstavvidenc.c:
	  avvidenc: propagate flow return values upstream in finish()

2013-08-20 15:58:35 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* tests/check/elements/avdemux_ape.c:
	  tests: Enable avdemux_ape test again, it works now
	  https://bugzilla.gnome.org/show_bug.cgi?id=684684

2013-08-15 15:51:52 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  libav: Use new flush vfunc of video codec base classes and remove reset implementations

2013-08-13 12:49:26 +0200  Hans de Goede <hdegoede@redhat.com>

	* ext/libav/gstavmux.c:
	  avmux: Don't fail on commas in the libav muxer type names
	  https://bugzilla.gnome.org/show_bug.cgi?id=697512

2013-08-02 14:18:25 +0200  Lubosz Sarnecki <lubosz@gmail.com>

	* configure.ac:
	  build: add subdir-objects to AM_INIT_AUTOMAKE
	  Fixes warnings with automake 1.14
	  https://bugzilla.gnome.org/show_bug.cgi?id=705350

2013-07-29 14:48:40 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  Back to development

=== release 1.1.3 ===

2013-07-29 13:59:50 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	  Release 1.1.3

2013-07-29 12:19:22 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavdemux.c:
	  avdemux: Implement SEGMENT query

2013-07-24 12:22:04 +0200  Edward Hervey <edward@collabora.com>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Demote WARNING to DEBUG
	  We cover all the needed formats already. The warning was just getting
	  in the way.

2013-02-20 20:50:15 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: Initialise opaque from the start
	  https://bugzilla.gnome.org/show_bug.cgi?id=693581

2013-07-23 09:59:43 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/libav/gstavdemux.c:
	  avdemux: Add support for group-id in the stream-start event

2013-07-19 09:45:24 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  configure: Remove workaround from last decade and make SIMD optimizations work on OSX
	  https://bugzilla.gnome.org/show_bug.cgi?id=704442

2013-07-18 16:11:16 +0200  Arnaud Vrac <avrac@freebox.fr>

	* ext/libav/gstavviddec.c:
	  avviddec: increase bottom padding for output frames
	  libav can write slightly after the plane end in some SIMD optimized
	  functions. The extra padding value needs to be at least 16+stride_align
	  for each plane, so just increase the bottom padding value for the output
	  frame.
	  https://bugzilla.gnome.org/show_bug.cgi?id=694299

2013-07-11 16:57:28 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  Back to development

=== release 1.1.2 ===

2013-07-11 16:52:48 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	  Release 1.1.2

2013-07-09 16:19:11 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: update libav from v9.6 to v9.8
	  version 9.8:
	  - kmvc: Clip pixel position to valid range
	  - kmvc: Use fixed sized arrays in the context
	  - indeo: Reject negative array indexes
	  - indeo: Check for reference when inheriting motion vectors
	  - indeo: Properly forward the error codes
	  - mjpeg: Check the unescaped size for overflows
	  - wmapro: Error out on impossible scale factor offsets
	  - wmapro: Check the min_samples_per_subframe
	  - wmapro: Return early on unsupported condition
	  - wmapro: Check num_vec_coeffs against the actual available buffer
	  - wmapro: Make sure there is room to store the current packet
	  - lavc: Move put_bits_left in put_bits.h
	  - 4xm: Do not overread the source buffer in decode_p_block
	  - 4xm: Check bitstream_size boundary before using it
	  version 9.7:
	  Most of the following fixes resulted from test samples that the Google
	  Security Team has kindly made available to us:
	  - 4xm: fix several programming errors to avoid crashes, etc.
	  - apetag: use int64_t for filesize
	  - jpegls: Fix invalid writes to memory
	  - ljpeg: use the correct number of components in YUV
	  - mjpeg: Validate sampling factors
	  - mjpegdec: properly report unsupported disabled features
	  - mjpegdec: validate parameters in mjpeg_decode_scan_progressive_ac
	  - mpegvideo: allocate sufficiently large scratch buffer for interlaced vid
	  - pixdesc: mark gray8 as pseudopal
	  - smacker: fix several programming errors to avoid crashes, etc.
	  - tiff: do not overread the source buffer
	  - vmd: drop incomplete chunks and spurious samples
	  - vmdav: convert to bytestream2 to avoid invalid reads and writes
	  - wavpack: check packet size early
	  - wavpack: use bytestream2 in wavpack_decode_block
	  - wavpack: validate samples size parsed in wavpack_decode_block

2013-06-25 14:03:07 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	  codecmap: realvideo does not have systemstream property
	  realvideo does not have the systemstream property and nobody ever sets it so
	  better remove it here to make it link to something else.

2013-06-18 13:36:01 +0100  Tim-Philipp Müller <tim@centricular.net>

	* autogen.sh:
	* common:
	  autogen.sh: generate from common module, fixing srcdir != builddir build
	  https://bugzilla.gnome.org/show_bug.cgi?id=702319

2013-06-11 08:24:17 -0300  Thiago Santos <thiago.sousa.santos@collabora.com>

	* ext/libav/gstavviddec.c:
	  avviddec: reset coded_width/_height before trying to open codec
	  If coded_width/_height is supplied, the codec might use it as the
	  width/height and if it is wrong can lead to segfaults or video
	  corruption.
	  This is specially harmful on renegotiation scenarios where the
	  resolution changed. There seems to be no specific function for reseting
	  the AV Context in libav, so just set it directly.
	  https://bugzilla.gnome.org/show_bug.cgi?id=702003

2013-06-05 18:36:40 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  Back to development

=== release 1.1.1 ===

2013-06-05 17:58:51 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* common:
	* configure.ac:
	* gst-libav.doap:
	  Release 1.1.1

2013-06-05 15:16:55 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 098c0d7 to 01a7a46

2013-05-20 11:07:57 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: Update to v9.6

2013-05-15 10:53:59 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 5edcd85 to 098c0d7

2013-05-06 23:56:22 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavcfg.c:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavdemux.c:
	* ext/libav/gstavmux.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  CODEC_ID_* -> AV_CODEC_ID_*

2013-05-06 23:53:01 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ext/libav/gstavcodecmap.c:
	  codecmap: add mapping for WMA Lossless
	  Only 16 bits is supported for now though.

2013-04-23 14:19:48 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: Update to v9.5

2013-04-23 14:10:54 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavviddec.c:
	  avviddec: Enable FRAME based threaded decoding if upstream is not live
	  If upstream is live we don't want FRAME based threaded decoding as
	  it adds latency.

2013-04-22 23:54:48 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 3cb3d3c to 5edcd85

2013-04-16 14:49:59 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  libav: Fix typo in the SWSCALE libraries for static plugins

2012-09-13 11:10:05 +0000  Andoni Morales Alastruey <ylatuya@gmail.com>

	* configure.ac:
	* ext/libav/Makefile.am:
	* ext/libswscale/Makefile.am:
	  libav: fix static linking

2012-10-24 12:18:56 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* ext/libav/Makefile.am:
	* ext/libswscale/Makefile.am:
	  gst: Add better support for static plugins

2013-04-09 22:13:42 +0200  Matej Knopp <matej.knopp@gmail.com>

	* ext/libav/gstavcodecmap.c:
	  av: Add WMV3 format for WMV 3 caps

2013-04-14 17:57:18 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From aed87ae to 3cb3d3c

2013-04-09 21:01:54 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 04c7a1e to aed87ae

2013-04-09 20:40:06 +0200  Siva Chandran P <siva.chandran.p@gmail.com>

	* ext/libav/gstavviddec.c:
	  avvidec: Make sure to store newly set caps after resetting the decoder
	  Otherwise we'll just set the to NULL while resetting the decoder and
	  don't have them available anymore later.
	  https://bugzilla.gnome.org/show_bug.cgi?id=697548

2013-03-25 18:06:39 -0700  David Schleef <ds@schleef.org>

	* ext/libav/gstavdemux.c:
	  Use %03u instead of %u in gst_pad_create_stream_id_printf()

2013-03-25 09:47:49 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: Update to v9.4

2013-03-07 09:30:55 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Set the assembler used for libav to $CC
	  libav assumes that it's not just an assembler but something that
	  can also handle CPPFLAGS and other things.
	  https://bugzilla.gnome.org/show_bug.cgi?id=694416

2013-03-07 09:04:16 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Add AG_GST_ARG_GCOV to make automake happy again
	  + running automake -a -c -Wno-portability...
	  common/check.mak:107: error: GST_GCOV_ENABLED does not appear in AM_CONDITIONAL
	  tests/check/Makefile.am:1:   'common/check.mak' included from here

2013-03-07 00:03:06 +0000  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 2de221c to 04c7a1e

2013-03-02 18:12:39 +0000  Tim-Philipp Müller <tim@centricular.net>

	* gst-libs/ext/libav:
	  libav: update to v9.3

2013-03-01 15:10:41 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/libswscale/gstffmpegscale.c:
	  swscale: Use 1.0-style video/x-raw caps

2013-02-28 19:34:02 +0000  Tim-Philipp Müller <tim@centricular.net>

	* Makefile.am:
	* configure.ac:
	* pkgconfig/.gitignore:
	* pkgconfig/Makefile.am:
	* pkgconfig/gstreamer-plugins-libav-uninstalled.pc.in:
	  Add uninstalled pkg-config file so other modules can find libav elements for unit tests
	  e.g. gst-plugins-bad has some unit tests that draw on av* elements.

2013-02-15 13:00:02 +0000  Rico Tzschichholz <ricotz@ubuntu.com>

	* gst-libs/ext/Makefile.am:
	  Fix 'make dist'
	  This time for real hopefully. Make sure to remove any
	  libav-dist directories that may still be around from
	  previous make dist attempts first.

2013-02-12 10:22:11 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: update to v9.1

2013-02-04 18:10:42 -0800  David Schleef <ds@schleef.org>

	* ext/libav/gstavcodecmap.c:
	  Add mapping for SMPTE 302m audio

2013-01-28 20:44:16 +0100  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From a942293 to 2de221c

2013-01-26 12:35:10 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	  Revert "avdec_aac: disable for autoplugging until it gets fixed"
	  This reverts commit c5980dc52ac57cf0147ed269e3b2c863d7251f84.
	  It's fixed now.
	  https://bugzilla.gnome.org/show_bug.cgi?id=690940

2013-01-26 12:50:49 +0000  Tim-Philipp Müller <tim@centricular.net>

	* ext/libav/gstavauddec.c:
	  avauddec: fix decoding of mono audio as well
	  https://bugzilla.gnome.org/show_bug.cgi?id=690940

2013-01-25 14:40:15 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/libav/gstavauddec.c:
	  avauddec: fix garbled audio decoding in some cases
	  Calculate output buffer size based on the number of
	  samples, channels and bytes per sample. The buffer
	  size was calculated based on linesize, which may
	  be larger than what's required.
	  https://bugzilla.gnome.org/show_bug.cgi?id=690940

2013-01-22 12:57:41 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	  avenc_aac: downgrade to RANK_NONE until it gets fixed
	  Currently just fails to initialize.
	  https://bugzilla.gnome.org/show_bug.cgi?id=691617

2013-01-22 12:53:48 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	  avdec_aac: disable for autoplugging until it gets fixed
	  Currently outputs garbled audio. Use faad in the meantime.
	  https://bugzilla.gnome.org/show_bug.cgi?id=690940

2013-01-14 17:00:17 +0100  Andoni Morales Alastruey <ylatuya@gmail.com>

	* configure.ac:
	  libav: fix checks for internal libav configure options
	  https://bugzilla.gnome.org/show_bug.cgi?id=691723

2013-01-17 23:56:17 +0000  Tim-Philipp Müller <tim@centricular.net>

	* ext/Makefile.am:
	  Disable libswscale/avvideoscale plugin until it works at least somewhat
	  It needs some fixing.

2013-01-16 12:09:39 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/Makefile.am:
	  tests: use GST_*_1_0 environment variables everywhere
	  The _1_0 suffixed environment variables override the
	  non-suffixed ones, so if we're in an environment that
	  sets the _1_0 suffixed ones, such as jhbuild, we need
	  to set those to make sure ours actually always get
	  used.

2013-01-15 15:08:10 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From a72faea to a942293

2012-12-31 00:32:41 +0000  Tim-Philipp Müller <tim@centricular.net>

	* configure.ac:
	  configure: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
	  AM_CONFIG_HEADER has been removed in the just-released automake 1.13:
	  https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
	  https://bugzilla.gnome.org/show_bug.cgi?id=690881

2012-12-22 10:52:47 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstav.c:
	* ext/libav/gstav.h:
	  av: Remove some unused variables and function declarations

2012-12-22 10:49:52 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/Makefile.am:
	* ext/libav/gstav.h:
	* ext/libav/gstavdemux.c:
	* ext/libav/gstavmux.c:
	* ext/libav/gstavprotocol.c:
	* ext/libav/gstavprotocol.h:
	  av: Move gst_ffmpegdata functions to gstavprotocol.h too
	  Just for consistency.

2012-12-21 23:16:44 +0100  Thijs Vermeir <thijsvermeir@gmail.com>

	* ext/libav/gstav.h:
	* ext/libav/gstavpipe.h:
	  av: Fix redefinition of typedef 'GstFFMpegPipe'
	  Move declaration of pipe function to correct headers file

2012-12-21 14:28:57 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Pass CC, LD, AS, AR and NM to the libav configure if set

2012-12-21 11:03:27 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavviddec.c:
	  av: Use correct printf format strings for gsize

2012-12-18 10:57:43 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: Update to today's master

2012-12-17 16:35:36 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavcfg.c:
	* ext/libav/gstavdemux.c:
	* ext/libav/gstavmux.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  av: Fix some memory leaks and misuse of libav API

2012-12-17 15:58:37 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavauddec.h:
	  avauddec: Use a GstBuffer instead of a GstAdapter for collecting the output buffers
	  This might cause less memcpies as the GstMemories of the buffers
	  are just appended into a single buffer.

2012-12-03 16:38:53 -0300  Thiago Santos <thiago.sousa.santos@collabora.com>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavauddec.h:
	  avauddec: accumulate buffers from a single input to push it all at once
	  The base audio decoder wants a 1:1 mapping for input and output
	  buffers, so this decoder must accumulate data in an adapter and push
	  it all at once after all input has been processed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=689565

2012-12-17 13:42:13 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Only set "formats" field on raw audio/video caps

2012-12-17 13:41:42 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Correctly convert GStreamer channel positions to libav channel mask

2012-12-17 11:11:12 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add more and correct restrictions for DV
	  https://bugzilla.gnome.org/show_bug.cgi?id=600895

2012-12-12 17:36:33 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstav.h:
	  libav: Fix some compilation errors caused by circular includes

2012-12-12 17:20:03 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: Update to today's master

2012-12-12 17:01:28 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	  avcodec: set bits_per_coded_sample for G726
	  Use the bitrate and the samplerate to set the bits_per_coded_sample for G726
	  because the decoder needs this.

2012-12-12 15:57:19 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	  avauddec: Set frame defaults for the audio decoders too

2012-12-12 15:53:34 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	  avcodecmap: Remove some unused functions

2012-12-12 16:45:53 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	  avaudenc: init frame with defaults
	  Init the AVFrame with the right method. This sets the extended_data field
	  correctly that is needed for some formats (G726 for example).

2012-12-12 15:42:09 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavviddec.c:
	  avdec: Improve src template caps

2012-12-12 13:04:54 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Properly handle planar audio formats with more than AV_NUM_DATA_POINTERS channels

2012-12-12 13:04:38 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	  avauddec: Properly handle planar audio formats with more than AV_NUM_DATA_POINTERS channels

2012-12-12 12:09:32 +0000  Christiaan Welvaart <cjw@daneel.dyndns.org>

	* ext/libav/gstav.c:
	* ext/libav/gstav.h:
	* ext/libav/gstavdemux.c:
	* ext/libav/gstavmux.c:
	* ext/libav/gstavprotocol.c:
	  avprotocol: Port from the URL protocol handler to saner public API

2012-12-12 09:48:53 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	  libav: fix palette support again

2012-12-11 18:56:24 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Take framerate restrictions into account for encoders

2012-12-11 18:48:34 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavaudenc.h:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavvidenc.c:
	* ext/libav/gstavvidenc.h:
	  avvidenc: Simplify color formats in the raw video caps

2012-12-11 18:07:34 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavaudenc.h:
	* ext/libav/gstavcodecmap.c:
	  avaudenc: Reorder audio channels if necessary and add proper support for channel layouts

2012-12-11 17:25:41 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	  avcodecmap: Take channel layout constraints into account if possible

2012-12-11 16:54:09 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Take generic samplerate limitations into account

2012-12-11 16:46:43 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Simplify raw audio caps

2012-12-11 15:14:10 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	  avauddec: Close context when it was opened

2012-12-11 10:34:42 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavviddec.c:
	  avviddec: Fix memory leak if we already allocated an output buffer for the frame

2012-12-11 10:22:34 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/libav/gstavviddec.c:
	  Revert "avviddec: Fix memory leaks and assertions in error cases if we can't allocate a frame"
	  This reverts commit 47647e1caca117ff8a62caf8bf0b6c94eb6dd025.
	  Breaks playback when direct rendering is disabled.
	  The reason is that we set the opaque vaue to NULL and then try to use the NULL
	  value when we decoded a frame.

2012-12-10 14:54:03 +0100  Rasmus Rohde <rohde@duff.dk>

	* ext/libav/gstavpipe.h:
	  Fix incorrect use of object in log statement. We are given a pointer to the object and should not try to take the address of it.

2012-12-06 06:29:13 +0400  Руслан Ижбулатов <lrn1986@gmail.com>

	* ext/libav/gstavutils.c:
	  avutils: Add missing includes for Windows
	  Fixes #689751

2012-12-05 19:28:33 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavcodecmap.c:
	  avaudenc: Add support for planar audio formats

2012-12-05 19:25:37 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  av: Correctly populate the codec context with the defaults

2012-12-05 10:52:34 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  av: Use av_codec_is_{en,de}coder() API instead of private struct fields

2012-12-04 22:09:05 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	  avauddec: release_buffer is not supposed to be used for audio
	  And calling it causes crashes in some situations.

2012-12-04 20:45:28 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavutils.c:
	  avauddec: Add support for planar audio formats

2012-12-04 20:44:58 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavviddec.c:
	  avviddec: Fix memory leaks and assertions in error cases if we can't allocate a frame

2012-12-04 18:28:11 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavcfg.c:
	* ext/libav/gstavdemux.c:
	* ext/libav/gstavmux.c:
	* ext/libav/gstavutils.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  av: Port remaining simple bits

2012-12-04 18:02:56 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavviddec.c:
	  av: Remove palette support for now
	  It was never ported to the way how paletted color formats work
	  in 1.0 anyway and the API changed in libav upstream.

2012-12-04 17:56:40 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	  av: Update for some constant changes

2012-12-04 17:47:20 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstav.c:
	* ext/libav/gstav.h:
	* ext/libav/gstavprotocol.c:
	  av: Port to new avio protocol handler

2012-11-19 15:25:42 +0100  Luca Barbato <lu_zero@gentoo.org>

	* ext/libav/gstav.c:
	* ext/libav/gstavauddec.c:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavcfg.c:
	* ext/libav/gstavdeinterlace.c:
	* ext/libav/gstavmux.c:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  av: update to use AVOption variants.

2012-12-04 17:19:11 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: Switch to master (9)

2012-12-02 12:31:43 +0000  Tim-Philipp Müller <tim@centricular.net>

	* ext/libav/gstavaudenc.c:
	  avaudenc: log error string as well in debug output

2012-12-01 23:21:41 +0000  Tim-Philipp Müller <tim@centricular.net>

	* ext/libav/gstavaudenc.c:
	  avaudenc: use sample rate as ticks per second fallback
	  The 25/1 value presumably came from the video encoder class.

2012-12-01 23:05:23 +0000  Tim-Philipp Müller <tim@centricular.net>

	* ext/libav/gstavaudenc.c:
	  avaudenc: fix output timestamping
	  We need to pass the number of samples encode in the output buffer
	  to gst_audio_encoder_finish_frame(), not the number of frames.
	  Fixes output timestamps being way too small, and transcoding
	  problems.
	  https://bugzilla.gnome.org/show_bug.cgi?id=689398

2012-11-20 11:56:57 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavvidenc.c:
	  avvidenc: Implement reset vfunc

2012-11-20 11:53:52 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Don't send any frames downstream when draining unless requested to do so

2012-11-20 11:51:13 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Implement draining

2012-11-20 11:45:34 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Implement flush vfunc properly

2012-11-20 11:39:45 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavauddec.h:
	  avauddec: Port to non-deprecated avcodec_decode_audio4() API
	  Fixes bug #666435.

2012-11-20 10:55:55 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavaudenc.h:
	  avaudenc: Some minor cleanup

2012-11-20 10:53:01 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	  avaudenc: Use non-deprecated avcodec_encode_audio2() API
	  This also allows us to always get an output buffer of the required size
	  instead of risking that it is too small.

2012-11-20 10:36:29 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavaudenc.h:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	  avaudenc: Port to audio encoder base class

2012-11-20 10:35:01 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavvidenc.c:
	  avvidenc: Use gst_caps_truncate()

2012-11-19 17:08:23 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavmux.c:
	* ext/libav/gstavvidenc.c:
	  av: Use PROP_ instead of ARG_

2012-11-19 14:10:23 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Y41B is YUV411P, not YUV410P

2012-11-19 12:57:19 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavauddec.c:
	* ext/libav/gstavauddec.h:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	  avauddec: Port to audio base classes

2012-11-19 11:29:22 +0000  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 6bb6951 to a72faea

2012-11-19 10:29:00 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/Makefile.am:
	* ext/libav/gstavauddec.c:
	* ext/libav/gstavauddec.h:
	* ext/libav/gstavaudenc.c:
	* ext/libav/gstavaudenc.h:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavviddec.h:
	* ext/libav/gstavvidenc.h:
	  av: Put declarations in header files and rename audio codec files

2012-11-14 12:43:51 +0000  Tim-Philipp Müller <tim@centricular.net>

	* ext/libav/gstavenc.c:
	  gst_adapter_prev_timestamp -> gst_adapter_prev_pts

2012-11-10 16:57:06 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Add mappings for the GBR color formats

2012-11-04 00:22:16 +0000  Tim-Philipp Müller <tim@centricular.net>

	* COPYING.LIB:
	* ext/libav/gstav.c:
	* ext/libav/gstav.h:
	* ext/libav/gstavaudioresample.c:
	* ext/libav/gstavcfg.c:
	* ext/libav/gstavcfg.h:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	* ext/libav/gstavdec.c:
	* ext/libav/gstavdeinterlace.c:
	* ext/libav/gstavdemux.c:
	* ext/libav/gstavenc.c:
	* ext/libav/gstavenc.h:
	* ext/libav/gstavmux.c:
	* ext/libav/gstavpipe.h:
	* ext/libav/gstavprotocol.c:
	* ext/libav/gstavscale.c:
	* ext/libav/gstavutils.c:
	* ext/libav/gstavutils.h:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	* ext/libav/gstavvidenc.h:
	* ext/libswscale/gstffmpegscale.c:
	* tests/check/elements/avdec_adpcm.c:
	* tests/check/elements/avdemux_ape.c:
	* tests/check/generic/libavcodec-locking.c:
	* tests/check/generic/plugin-test.c:
	  Fix FSF address

2012-10-29 14:12:03 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	  avcodecmap: Remove redundant function to map PixelFormat to GstVideoFormat
	  And merge everything into a single one.

2012-10-25 13:11:43 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavdec.c:
	  avdec: Use gst_audio_buffer_clip() instead of manual clipping

2012-10-25 12:51:41 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  Back to feature development

=== release 1.0.2 ===

2012-10-25 01:34:32 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	  Release 1.0.2

2012-10-24 16:01:36 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: Update to 0.8.4 release

2012-10-23 10:21:52 +0200  Andoni Morales Alastruey <ylatuya@gmail.com>

	* configure.ac:
	  configure: fix os type configure option for android

2012-10-07 17:00:08 +0100  Tim-Philipp Müller <tim@centricular.net>

	* configure.ac:
	  Back to development (bug fixing)

=== release 1.0.1 ===

2012-10-07 16:12:38 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	  Release 1.0.1

2012-10-06 15:00:42 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 6c0b52c to 6bb6951

2012-09-30 16:25:29 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ext/libav/gstavvidenc.c:
	  avvidenc: also skip non-video encoders
	  Doesn't actually make any difference at the moment, but
	  seems the right thing to do.
	  https://bugzilla.gnome.org/show_bug.cgi?id=685113

2012-09-30 01:27:10 +0200  Alban Browaeys <prahal@yahoo.com>

	* ext/libav/gstavviddec.c:
	  avviddec: exclude non-video decoders
	  Otherwise audio decoders "ignored", ie blacklisted, end up
	  registered by avviddec as video decoders.
	  https://bugzilla.gnome.org/show_bug.cgi?id=685113

2012-09-28 16:53:49 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/libav/gstavdemux.c:
	  avdemux: fix not-negotiated errors
	  Drop caps event received on the sink pad, instead of
	  putting it in the list of cached events to be sent
	  downstream later. We don't want to send our container
	  caps downstream to our decoders, that'll give us
	  nasty not-negotiated errors.
	  https://bugzilla.gnome.org/show_bug.cgi?id=680464

2012-09-27 12:20:30 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/libav/gstavviddec.c:
	  avviddec: Correctly handle 0-sized buffers without crashing
	  Might e.g. be valid for Theora.

2012-09-25 18:29:08 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/libav/gstavviddec.c:
	  avviddec: don't try to set invalid latency
	  Avoids warnings when we don't know the latency.

2012-09-24 17:01:00 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  Back to development (bug fixing)

=== release 1.0.0 ===

2012-09-24 14:53:57 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	  Release 1.0.0

2012-09-23 21:14:03 +0100  Tim-Philipp Müller <tim@centricular.net>

	* tests/check/elements/avdec_adpcm.c:
	* tests/check/elements/avdemux_ape.c:
	  tests: skip broken tests

2012-09-22 16:10:07 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 4f962f7 to 6c0b52c

=== release 0.11.99 ===

2012-09-17 18:05:23 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* gst-libav.doap:
	  Release 0.11.99

2012-09-17 17:53:29 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* tests/check/Makefile.am:
	  Remove -DGST_USE_UNSTABLE_API

2012-09-14 13:24:37 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/libav/gstavviddec.c:
	  avviddec: improve debug

2012-09-14 02:59:37 +0100  Tim-Philipp Müller <tim@centricular.net>

	* configure.ac:
	  Back to development

=== release 0.11.94 ===

2012-09-14 02:51:13 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ChangeLog:
	* configure.ac:
	* gst-libav.doap:
	  Release 0.11.94

2012-09-13 09:36:14 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* ext/libav/gstavviddec.c:
	  viddec: Set latency base on the number of bframes

2012-09-13 09:34:29 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* ext/libav/gstavviddec.c:
	  viddec: Cleanup unused has_b_frames flag

2012-09-12 15:30:05 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavutils.c:
	* ext/libav/gstavutils.h:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	  libav: Switch to non-deprecated symbols
	  This symbols/enums will all be deprecated in the next releases

2012-09-12 21:15:24 +0200  Stefan Sauer <ensonic@users.sf.net>

	* ext/libav/gstavmux.c:
	  collectpads: remove gst_collect_pads_add_pad_full
	  Rename gst_collect_pads_add_pad_full() to gst_collect_pads_add_pad() and fix all
	  invocations.

2012-09-12 10:25:24 +0200  Michael Smith <msmith@rdio.com>

	* ext/libav/gstavcodecmap.c:
	  libav: add decode support for prores
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=683840

2012-09-12 10:25:21 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/libav/gstavdemux.c:
	* ext/libav/gstavpipe.h:
	  avdemux: port to the new GLib thread API

2012-09-11 20:40:07 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* configure.ac:
	  configure.ac: handle out-of-tree build
	  In file included from <gst-ffmpeg>/gst-libs/ext/libav/libavutil/avutil.h:318:0,
	  from <gst-ffmpeg>/gst-libs/ext/libav/libswscale/swscale.h:30,
	  from <gst-ffmpeg>/ext/libswscale/gstffmpegscale.c:26:
	  <gst-ffmpeg>/gst-libs/ext/libav/libavutil/common.h:38:32: fatal error: libavutil/avconfig.h: No such file or directory
	  compilation terminated.

2012-09-11 17:52:57 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/libav/gstavdemux.c:
	  avdemux: only activate in pull mode if upstream is seekable

2012-09-11 13:27:55 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: actually check for orc
	  Otherwise we get a scary "orc acceleration disabled, orc
	  not found or too old" message at the end of the configure
	  output. It's used by libswscale.

2012-09-11 13:53:23 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/libav/gstavviddec.c:
	  avviddec: add support for codecs that use reget_buffer
	  Add support for codec that use reget_buffer. In this mode, it reuses the picture
	  and we need to attach the corresponding input frame to it or else we get the
	  timestamps wrong.

2012-09-10 17:53:54 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* configure.ac:
	* ext/Makefile.am:
	* ext/libav/Makefile.am:
	* ext/libav/gstav.c:
	* ext/libav/gstav.h:
	* ext/libav/gstavaudioresample.c:
	* ext/libav/gstavcfg.c:
	* ext/libav/gstavcfg.h:
	* ext/libav/gstavcodecmap.c:
	* ext/libav/gstavcodecmap.h:
	* ext/libav/gstavdec.c:
	* ext/libav/gstavdeinterlace.c:
	* ext/libav/gstavdemux.c:
	* ext/libav/gstavenc.c:
	* ext/libav/gstavenc.h:
	* ext/libav/gstavmux.c:
	* ext/libav/gstavpipe.h:
	* ext/libav/gstavprotocol.c:
	* ext/libav/gstavscale.c:
	* ext/libav/gstavutils.c:
	* ext/libav/gstavutils.h:
	* ext/libav/gstavviddec.c:
	* ext/libav/gstavvidenc.c:
	* ext/libav/gstavvidenc.h:
	  ext: ffmpeg/gstffmpeg*.[ch] => libav/gstav*.[ch]

2012-09-10 17:29:35 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* configure.ac:
	  configure: Fix name of binary to disable

2012-09-10 17:18:30 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* configure.ac:
	* ext/Makefile.am:
	* ext/libpostproc/Makefile.am:
	* ext/libpostproc/gstpostproc.c:
	* tests/check/.gitignore:
	* tests/check/Makefile.am:
	* tests/check/elements/postproc.c:
	  remove postproc element
	  libpostproc is gone from upstream libav.

2012-09-10 17:08:00 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* configure.ac:
	* ext/ffmpeg/gstffmpeg.c:
	* ext/ffmpeg/gstffmpeg.h:
	* ext/ffmpeg/gstffmpegaudioresample.c:
	* ext/ffmpeg/gstffmpegcodecmap.c:
	* ext/ffmpeg/gstffmpegcodecmap.h:
	* ext/ffmpeg/gstffmpegdec.c:
	* ext/ffmpeg/gstffmpegdeinterlace.c:
	* ext/ffmpeg/gstffmpegdemux.c:
	* ext/ffmpeg/gstffmpegenc.c:
	* ext/ffmpeg/gstffmpegmux.c:
	* ext/ffmpeg/gstffmpegprotocol.c:
	* ext/ffmpeg/gstffmpegscale.c:
	* ext/ffmpeg/gstffmpegutils.h:
	* ext/ffmpeg/gstffmpegviddec.c:
	* ext/ffmpeg/gstffmpegvidenc.c:
	* ext/libpostproc/gstpostproc.c:
	* ext/libswscale/gstffmpegscale.c:
	  configure.ac: Import top-level include directory
	  And fixup all includes

2012-09-10 11:17:11 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdemux.c:
	  avdemux: Really ignore demuxers we want to ignore

2012-09-07 17:56:43 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  viddec: blacklist *crystalhd* decoder wrappers
	  There are gstreamer crystalhd elements as well,
	  so shouldn't be a big loss.
	  https://bugzilla.gnome.org/show_bug.cgi?id=683435

2012-08-26 18:17:17 +0200  Sjoerd Simons <sjoerd@luon.net>

	* ext/ffmpeg/gstffmpegenc.c:
	  ffmpegenc: Don't try to set caps to NULL
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=682736

2012-08-22 13:31:46 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 668acee to 4f962f7

2012-08-22 13:20:36 +0200  Stefan Sauer <ensonic@users.sf.net>

	* configure.ac:
	  configure: bump gtk-doc req to 1.12 (mar-2009)
	  This allows us to e.g. unconditionally use gtkdoc-rebase.

2012-08-10 17:03:26 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  viddec: use the right pointers
	  Use the plane pointers and strides.
	  Improve some debug

2012-08-08 16:32:52 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  Back to development

=== release 0.11.93 ===

2012-08-08 16:32:16 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* gst-libav.doap:
	  Release 0.11.93

2012-08-08 15:59:59 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  avviddec: Properly align and pad buffers for libav
	  https://bugzilla.gnome.org/show_bug.cgi?id=680796

2012-08-08 13:11:57 +0100  Tim-Philipp Müller <tim@centricular.net>

	* gst-libs/ext/Makefile.am:
	  Revert "ffmpeg: Fix make dist"
	  This reverts commit 4964bd753c06dfbf252dff3f520d74e91951ee08.
	  No idea what this fixes, for me it breaks make dist, which fails
	  with:
	  make[2]: Entering directory `/home/tpm/gst/0.11/gst-ffmpeg/gst-libs/ext'
	  GIT_DIR=libav/.git git checkout-index --prefix=../libav-dist/libav/ -a
	  touch libav-dist/libav/config.mak
	  touch: cannot touch `libav-dist/libav/config.mak': No such file or directory
	  after a clean build.

2012-08-07 10:19:16 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/ffmpeg/gstffmpegcodecmap.c:
	  av: Use */x-gst-av instead of */x-gst-ff for unknown caps

2012-08-06 14:35:07 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdemux.c:
	  avdemux: Remove unused variable

2012-08-05 18:33:27 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdemux.c:
	  avdemux: Add stream-id to stream-start events

2012-07-26 12:37:01 +0200  Edward Hervey <edward@collabora.com>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegviddec: Return NOT_NEGOTIATED when not configured

2012-08-05 16:42:26 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 94ccf4c to 668acee

2012-08-04 16:19:37 +0100  Tim-Philipp Müller <tim@centricular.net>

	* tests/check/.gitignore:
	  Update .gitignore for ff->av

2012-08-04 16:17:14 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ext/ffmpeg/gstffmpegdemux.c:
	* tests/check/elements/avdemux_ape.c:
	  gst_tag_list_free -> gst_tag_list_unref

2012-08-03 13:38:22 +0200  Christian Fredrik Kalager Schaller <uraeus@linuxrisin.org>

	* gst-libav.spec.in:
	  Add spec changelog entry

2012-08-03 13:37:45 +0200  Christian Fredrik Kalager Schaller <uraeus@linuxrisin.org>

	* autogen.sh:
	* gst-libav.spec.in:
	  Update spec file and change package name to libav in autogen.sh file

2012-07-28 00:33:51 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdemux.c:
	  tag: Update for taglist/tag event API changes

2012-07-25 11:55:21 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegcodecmap.c:
	  avdec: require alignment=au for h264
	  Because we don't use a parser anymore we need to make sure that we feed the
	  decoder with full frames. For h264, require that we are aligned on access
	  units.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=680540

2012-07-23 23:29:26 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ext/ffmpeg/gstffmpegenc.c:
	  audio encoders: use context default bitrate if no bitrate has been set
	  Fixes 'bitrate too low: got 0, need 24000 or higher'
	  error when doing audiotstsrc ! avenc_wmav1 ! fakesink
	  https://bugzilla.gnome.org/show_bug.cgi?id=680487
	  https://bugzilla.gnome.org/show_bug.cgi?id=680487

2012-07-23 15:02:11 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpeg: avoid assertion failure on duplicate frame allocation

2012-07-23 11:37:57 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegviddec: Correctly flag interlaced state
	  If the context interlaced state is indicated, the picture interlaced
	  state can be used to correctly indicate GST_VIDEO_BUFFER_FLAG_INTERLACED
	  on output buffers.

2012-07-23 10:40:14 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/ffmpeg/gstffmpegvidenc.c:
	  ffvidenc: Allocate output buffers with the base class functions

2012-07-23 10:34:23 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegviddec: Update for video base classes API changes

2012-07-23 08:47:21 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 98e386f to 94ccf4c

2012-07-18 18:30:53 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  viddec: Call gst_video_decoder_negotiate()

2012-07-17 12:33:16 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdeinterlace.c:
	  avdeinterlace: fix up output caps for new field as well
	  And presumably our output is always progressive and not
	  interlaced any more?

2012-07-17 12:31:52 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdeinterlace.c:
	  avdeinterlace: detect interlaced input properly
	  It's not a boolean field any more, and called "interlaced-mode" now.

2012-07-13 14:01:44 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdemux.c:
	  demux: Push STREAM_START when needed

2012-07-10 16:10:14 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdec.c:
	  avdec: ignore AAC errors instead of erroring out
	  Also ignore decode errors for AAC and carry on decoding like we do for all
	  other formats.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=679639

2012-07-10 15:47:01 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegcodecmap.c:
	  avcodecmap: only restrict caps on encoders
	  We only want to restrict the channels/rate and width/height on the encoder pads.
	  For decoders can't assume that the input caps contain channels/rate or
	  width/height so we need to accept everything.

2012-07-06 11:50:57 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegvidenc.c:
	  update for query api changes

2012-07-06 11:27:33 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  update for query api changes

2012-07-06 11:03:30 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegvidenc.c:
	  update for allocation query changes

2012-07-06 09:49:11 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/ffmpeg/gstffmpegcfg.c:
	  cfg: remove some deprecated properties: statsfile, mb-qmin, mb-qmax
	  Use multipass-cache-file, qmin, qmax instead.

2012-07-05 13:20:56 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdemux.c:
	  avdemux: Implement segment-done event

2012-07-03 17:05:17 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  avdec: handle_frame should always unref the input frame
	  Unref the input frame in all cases. Previously it was only unreffed when the
	  frame was used for output.
	  When we produce an output frame, take an extra ref because the frame is now
	  freed elsewhere.

2012-07-03 17:04:49 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  avdec: small cleanup

2012-07-03 17:04:03 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  avdec: avoid some refs
	  We can let the ffmpeg structure take ownership of the buffer.

2012-07-02 21:39:02 +0400  Руслан Ижбулатов <lrn1986@gmail.com>

	* ext/ffmpeg/gstffmpegvidenc.c:
	  ffvidenc: Fix a format string to avoid warnings
	  istffmpegvidenc.c:412:3: error: format '%lu' expects argument of type 'long unsigned int', but argument 8 has type 'gint' [-Werror=format]

2012-07-02 15:50:36 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/ffmpeg/gstffmpegenc.c:
	  ffaudenc: Fix format string compiler warning
	  gstffmpegenc.c:266:3: error: format '%lu' expects argument of type 'long unsigned int', but argument 8 has type 'gint'

2012-06-28 09:33:28 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  avdec: don't wait for keyframe
	  Don't wait for a keyframe but try to decode as soon as possible. In most cases,
	  the demuxer will send a keyframe first and things will work fine, in other
	  cases, like RTP, we try to decode ASAP to provide quick feedback. Some formats
	  also have no keyframes (h264 with intra refresh).

2012-06-26 12:36:56 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegvidenc.c:
	  avenc: don't leak frames

2012-06-20 12:32:21 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* tests/check/elements/avdec_adpcm.c:
	* tests/check/elements/avdemux_ape.c:
	  update for bus api changes

2012-06-20 10:36:25 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdemux.c:
	  avdemux: update for task api change

2012-06-19 21:41:14 -0400  Matej Knopp <Matej@new-host-5.home>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegviddec: Don't reopen decoder on same caps, fix memory leaks, only drain on EOS

2012-06-19 12:23:32 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  viddec: avoid renegotiation
	  Keep track of the context veriables and renegotiate when something changes. We
	  need to use separate values for this because not all values can be copied into a
	  GstVideoInfo.
	  Set the output interlacing based on the libav context.
	  Use the demuxer and decoder framerate to construct an output framerate.
	  Use demuxer and decoder par to construct an output framerate.

2012-06-15 16:37:19 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegvidenc: Handle allocation queries and improve the padding/direct-rendering handling

2012-06-15 15:18:47 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegviddec: Port to 0.11 again
	  No support for video meta, cropping, etc. yet

2012-06-15 12:28:54 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	  Merge remote-tracking branch 'origin/0.10'

2012-06-15 12:19:58 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegviddec: Properly return if negotiation fails
	  Instead of crashing ....

2012-06-14 16:29:05 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/ffmpeg/gstffmpegvidenc.c:
	* ext/ffmpeg/gstffmpegvidenc.h:
	  ffvidenc: Port to 0.11

2012-06-14 15:44:18 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	  Merge remote-tracking branch 'origin/0.10'

2012-06-14 12:41:34 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	  Merge remote-tracking branch 'origin/0.10'
	  Conflicts:
	  common
	  ext/ffmpeg/Makefile.am
	  ext/ffmpeg/gstffmpegcfg.c
	  ext/ffmpeg/gstffmpegcodecmap.c
	  ext/ffmpeg/gstffmpegcodecmap.h
	  ext/ffmpeg/gstffmpegdec.c
	  ext/ffmpeg/gstffmpegenc.c
	  ext/ffmpeg/gstffmpegenc.h
	  tests/check/Makefile.am
	  Porting of the new video elements to 0.11 still pending.

2012-06-14 15:13:31 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegviddec: Properly update the interlacing
	  Fixes #678080

2012-06-14 15:04:33 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegviddec: Properly error out when codec doesn't open
	  Avoids ending up using an un-set codec

2012-05-03 19:02:09 +0200  Matej Knopp <matej.knopp@gmail.com>

	* ext/ffmpeg/gstffmpegdec.c:
	  gstffmpegdec: only drain on EOS
	  See https://bugzilla.gnome.org/show_bug.cgi?id=675359

2012-06-09 16:49:54 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/ffmpeg/gstffmpegenc.c:
	  avenc: make buffer-size property read-only
	  Fixes FIXME.

2012-06-09 16:41:28 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/ffmpeg/gstffmpegcfg.c:
	* ext/ffmpeg/gstffmpegenc.c:
	* ext/ffmpeg/gstffmpegenc.h:
	  avenc: change properties of type ulong to int

2012-06-09 14:37:09 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/ffmpeg/gstffmpegmux.c:
	  avmux: blacklist "segment" muxer
	  Causes run-time warnings.

2012-06-08 15:06:23 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 03a0e57 to 98e386f

2012-06-08 14:26:40 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From b811047 to 3baf58a

2012-06-08 10:11:46 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegcodecmap.c:
	  update for audio api changes

2012-06-07 16:35:37 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  Back to development

=== release 0.11.92 ===

2012-06-07 16:35:24 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	  Release 0.11.92

2012-06-07 12:29:41 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: Update to 0.8.3 release

2012-06-07 12:26:55 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: Update to 0.8.3 release

2012-06-06 18:20:06 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 1fab359 to 03a0e57

2012-06-06 18:19:20 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From b098abb to b811047

2012-06-06 13:03:18 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdemux.c:
	  update for tag event change

2012-06-01 10:30:15 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From f1b5a96 to 1fab359

2012-06-01 10:22:26 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 96f075b to b098abb

2012-05-31 13:43:48 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegcodecmap.c:
	* ext/ffmpeg/gstffmpegdec.c:
	* ext/libswscale/gstffmpegscale.c:
	  avdec: fix paletted formats
	  Pass the palette as the side data for AVPacket so that it is written in the
	  second plane of output AVFrame.

2012-05-31 13:10:20 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 92b7266 to f1b5a96

2012-05-30 12:47:45 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ec1c4a8 to 92b7266

2012-05-30 12:40:59 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 1e6c5ea to 96f075b

2012-05-30 12:31:59 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ff4cad1 to 1e6c5ea

2012-05-30 11:26:18 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 3429ba6 to ec1c4a8

2012-05-30 11:26:07 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 7604bab to ff4cad1

2012-05-25 17:03:06 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegcodecmap.c:
	  libav: add support for 10 bits I420
	  See https://bugzilla.gnome.org/show_bug.cgi?id=665034

2012-05-24 12:33:58 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From dc70203 to 3429ba6

2012-05-22 12:57:40 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: Update to 0.8.2 release

2012-05-22 12:56:16 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst-libs/ext/libav:
	  libav: Update to 0.8.2 release

2012-05-16 08:16:50 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* .gitignore:
	  .gitignore: update for module name change

2012-01-13 19:20:28 -0500  Matej Knopp <matej.knopp@gmail.com>

	* .gitignore:
	  .gitignore: add visual studio IDE files and OS X .DS_Store files
	  https://bugzilla.gnome.org/show_bug.cgi?id=667899

2012-05-16 09:13:15 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Require core/base 0.11.91

2012-05-15 14:43:19 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* tests/check/Makefile.am:
	  tests: Don't run the postproc test if compiled as an LGPL plugin

2012-05-15 14:41:18 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* tests/check/Makefile.am:
	  tests: Don't run the postproc test if compiled as an LGPL plugin

2012-05-13 17:01:02 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  Back to development

=== release 0.11.91 ===

2012-05-13 16:54:19 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* common:
	* configure.ac:
	* gst-libav.doap:
	  Release 0.11.91

2012-05-13 15:57:59 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From dc70203 to 3429ba6

2012-04-26 15:31:41 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/ffmpeg/gstffmpegcodecmap.c:
	  codecmap: correctly set height in AVCodecContext
	  https://bugzilla.gnome.org/show_bug.cgi?id=674899

2012-04-26 18:56:35 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegviddec: Always keep a reference to the frame
	  Ensures no data gets cleared before the decoders are really done
	  with it.

2012-04-26 17:00:43 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegviddec: Flush and drain when needed
	  we need to flush avcodec internal state on hard resets
	  we need to drain out pending buffers on EOS and soft resets

2012-04-24 15:36:30 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegviddec: Add video/x-raw-gray to src pad template

2012-04-24 15:36:00 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpegcodecmap.c:
	  codecmap: Add more GstVideoInfo<=>PixelFormat mappings

2012-04-18 12:37:53 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpegviddec.c:
	  ffmpegviddec: Port to GstVideoDecoder

2012-04-24 11:31:27 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/Makefile.am:
	* ext/ffmpeg/gstffmpegvidenc.c:
	* ext/ffmpeg/gstffmpegvidenc.h:
	  gstffmpegvidenc: Port to -base video classes

2012-04-07 11:14:45 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpeg.c:
	* ext/ffmpeg/gstffmpeg.h:
	* ext/ffmpeg/gstffmpegcfg.c:
	* ext/ffmpeg/gstffmpegcfg.h:
	* ext/ffmpeg/gstffmpegdec.c:
	* ext/ffmpeg/gstffmpegenc.c:
	* ext/ffmpeg/gstffmpegenc.h:
	* ext/ffmpeg/gstffmpegviddec.c:
	* ext/ffmpeg/gstffmpegvidenc.c:
	* ext/ffmpeg/gstffmpegvidenc.h:
	  ffmpegenc/dec: Remove audio/video specific code
	  Makes each file more manageable, second step to porting to base classes

2012-04-07 10:36:04 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/Makefile.am:
	* ext/ffmpeg/gstffmpegviddec.c:
	* ext/ffmpeg/gstffmpegvidenc.c:
	* ext/ffmpeg/gstffmpegvidenc.h:
	  ffmpeg: Clone encoder and decoder files
	  First step in porting to base video classes

2012-04-24 11:31:44 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/ffmpeg/gstffmpegcodecmap.c:
	* ext/ffmpeg/gstffmpegcodecmap.h:
	  codecmap: Add utility for using with GstVideoFormat

2012-04-22 11:52:18 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdemux.c:
	  ffmpegdemux: skip ffmpeg matroska,webm typefinder again
	  Causes warnings, and shouldn't be needed.

2012-04-20 16:23:41 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge remote-tracking branch 'origin/0.10'

2012-04-20 16:16:25 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/ffmpeg/gstffmpegdec.c:
	  ffdec: don't flush buffers on DISCONT
	  Don't flush the buffers that ffmpeg has on DISCONT but instead let it recover.
	  This gives a much better image in the case of packet loss.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=635020

2012-04-19 15:37:06 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge remote-tracking branch 'origin/0.10'

2012-04-19 15:35:48 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/libpostproc/gstpostproc.c:
	  postproc: fix compilation when ORC is missing
	  Fix 'set but not used' compiler error when ORC is missing.

2012-04-19 14:49:18 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge remote-tracking branch 'origin/0.10'
	  Conflicts:
	  ext/libswscale/gstffmpegscale.c

2012-04-19 14:45:42 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/libswscale/gstffmpegscale.c:
	  ffscale: fix compilation when ORC is missing
	  Fix set but not used compiler error when ORC is missing.

2012-04-17 15:36:12 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/ffmpeg/gstffmpegmux.c:
	  collectpads2: rename to collectpads

2012-04-16 09:11:01 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 6db25be to dc70203

2012-04-13 13:53:37 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* autogen.sh:
	* configure.ac:
	  configure: Modernize autotools setup a bit
	  Also we now only create tar.bz2 and tar.xz tarballs.

2012-04-13 13:38:52 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 464fe15 to 6db25be

2012-04-13 09:32:11 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  Back to development

=== release 0.11.90 ===

2012-04-13 09:29:45 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-libav.doap:
	  Release 0.11.90

2012-04-12 19:56:12 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* Makefile.am:
	* gst-libav.doap:
	  Fix make distcheck

2012-04-12 19:46:24 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Remove another occurence of ffmpeg

2012-04-12 19:41:52 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-libav-plugins-docs.sgml:
	* docs/plugins/gst-libav-plugins-sections.txt:
	* docs/plugins/gst-libav-plugins.args:
	* docs/plugins/gst-libav-plugins.hierarchy:
	* docs/plugins/gst-libav-plugins.interfaces:
	* docs/plugins/gst-libav-plugins.prerequisites:
	* docs/plugins/gst-libav-plugins.signals:
	* docs/plugins/gst-libav-plugins.types:
	* docs/plugins/inspect/plugin-ffmpeg.xml:
	* ext/Makefile.am:
	* ext/ffmpeg/Makefile.am:
	* ext/ffmpeg/gstffmpeg.c:
	* ext/ffmpeg/gstffmpeg.h:
	* ext/ffmpeg/gstffmpegaudioresample.c:
	* ext/ffmpeg/gstffmpegcfg.c:
	* ext/ffmpeg/gstffmpegcodecmap.c:
	* ext/ffmpeg/gstffmpegcodecmap.h:
	* ext/ffmpeg/gstffmpegdec.c:
	* ext/ffmpeg/gstffmpegdeinterlace.c:
	* ext/ffmpeg/gstffmpegdemux.c:
	* ext/ffmpeg/gstffmpegenc.c:
	* ext/ffmpeg/gstffmpegmux.c:
	* ext/ffmpeg/gstffmpegprotocol.c:
	* ext/ffmpeg/gstffmpegscale.c:
	* ext/ffmpeg/gstffmpegutils.h:
	* ext/libpostproc/gstpostproc.c:
	* ext/libswscale/Makefile.am:
	* ext/libswscale/gstffmpegscale.c:
	* gst-libav.doap:
	* gst-libav.spec.in:
	* tests/check/Makefile.am:
	* tests/check/elements/avdec_adpcm.c:
